
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800005c0')]      |
| SIG_REGION                | [('0x80002010', '0x80002170', '88 words')]      |
| COV_LABELS                | sha256sum1      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/sha256sum1-01.S/ref.S    |
| Total Number of coverpoints| 156     |
| Total Coverpoints Hit     | 151      |
| Total Signature Updates   | 86      |
| STAT1                     | 85      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800005b4]:sha256sum1
      [0x800005b8]:sw
 -- Signature Address: 0x80002164 Data: 0xefff7bff
 -- Redundant Coverpoints hit by the op
      - opcode : sha256sum1
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val == 4292870143






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                coverpoints                                                |                      code                      |
|---:|--------------------------|-----------------------------------------------------------------------------------------------------------|------------------------------------------------|
|   1|[0x80002010]<br>0x7bbbca92|- opcode : sha256sum1<br> - rs1 : x18<br> - rd : x2<br> - rs1 != rd<br> - rs1_val == 0x254a9493 #nosat<br> |[0x80000108]:sha256sum1<br> [0x8000010c]:sw<br> |
|   2|[0x80002014]<br>0xfdefffbf|- rs1 : x29<br> - rd : x29<br> - rs1 == rd<br> - rs1_val == 2147483647<br>                                 |[0x80000118]:sha256sum1<br> [0x8000011c]:sw<br> |
|   3|[0x80002018]<br>0xfef7ffdf|- rs1 : x5<br> - rd : x12<br> - rs1_val == 3221225471<br>                                                  |[0x80000128]:sha256sum1<br> [0x8000012c]:sw<br> |
|   4|[0x8000201c]<br>0x00000000|- rs1 : x0<br> - rd : x8<br>                                                                               |[0x80000134]:sha256sum1<br> [0x80000138]:sw<br> |
|   5|[0x80002020]<br>0xffbdfff7|- rs1 : x23<br> - rd : x22<br> - rs1_val == 4026531839<br>                                                 |[0x80000144]:sha256sum1<br> [0x80000148]:sw<br> |
|   6|[0x80002024]<br>0xffdefffb|- rs1 : x26<br> - rd : x27<br> - rs1_val == 4160749567<br>                                                 |[0x80000154]:sha256sum1<br> [0x80000158]:sw<br> |
|   7|[0x80002028]<br>0xffef7ffd|- rs1 : x15<br> - rd : x9<br> - rs1_val == 4227858431<br>                                                  |[0x80000164]:sha256sum1<br> [0x80000168]:sw<br> |
|   8|[0x8000202c]<br>0xfff7bffe|- rs1 : x24<br> - rd : x7<br> - rs1_val == 4261412863<br>                                                  |[0x80000174]:sha256sum1<br> [0x80000178]:sw<br> |
|   9|[0x80002030]<br>0x7ffbdfff|- rs1 : x8<br> - rd : x14<br> - rs1_val == 4278190079<br>                                                  |[0x80000184]:sha256sum1<br> [0x80000188]:sw<br> |
|  10|[0x80002034]<br>0xbffdefff|- rs1 : x16<br> - rd : x18<br> - rs1_val == 4286578687<br>                                                 |[0x80000194]:sha256sum1<br> [0x80000198]:sw<br> |
|  11|[0x80002038]<br>0xdffef7ff|- rs1 : x2<br> - rd : x4<br> - rs1_val == 4290772991<br>                                                   |[0x800001a4]:sha256sum1<br> [0x800001a8]:sw<br> |
|  12|[0x8000203c]<br>0x00000000|- rs1 : x13<br> - rd : x0<br> - rs1_val == 4292870143<br>                                                  |[0x800001b4]:sha256sum1<br> [0x800001b8]:sw<br> |
|  13|[0x80002040]<br>0xf7ffbdff|- rs1 : x25<br> - rd : x6<br> - rs1_val == 4293918719<br>                                                  |[0x800001c4]:sha256sum1<br> [0x800001c8]:sw<br> |
|  14|[0x80002044]<br>0xfbffdeff|- rs1 : x3<br> - rd : x5<br> - rs1_val == 4294443007<br>                                                   |[0x800001d4]:sha256sum1<br> [0x800001d8]:sw<br> |
|  15|[0x80002048]<br>0xfdffef7f|- rs1 : x9<br> - rd : x23<br> - rs1_val == 4294705151<br>                                                  |[0x800001e4]:sha256sum1<br> [0x800001e8]:sw<br> |
|  16|[0x8000204c]<br>0xfefff7bf|- rs1 : x7<br> - rd : x26<br> - rs1_val == 4294836223<br>                                                  |[0x800001f4]:sha256sum1<br> [0x800001f8]:sw<br> |
|  17|[0x80002050]<br>0xff7ffbdf|- rs1 : x21<br> - rd : x31<br> - rs1_val == 4294901759<br>                                                 |[0x80000204]:sha256sum1<br> [0x80000208]:sw<br> |
|  18|[0x80002054]<br>0xffbffdef|- rs1 : x30<br> - rd : x28<br> - rs1_val == 4294934527<br>                                                 |[0x80000214]:sha256sum1<br> [0x80000218]:sw<br> |
|  19|[0x80002058]<br>0xffdffef7|- rs1 : x4<br> - rd : x30<br> - rs1_val == 4294950911<br>                                                  |[0x80000224]:sha256sum1<br> [0x80000228]:sw<br> |
|  20|[0x8000205c]<br>0xffefff7b|- rs1 : x6<br> - rd : x13<br> - rs1_val == 4294959103<br>                                                  |[0x80000234]:sha256sum1<br> [0x80000238]:sw<br> |
|  21|[0x80002060]<br>0xfff7ffbd|- rs1 : x10<br> - rd : x17<br> - rs1_val == 4294963199<br>                                                 |[0x80000244]:sha256sum1<br> [0x80000248]:sw<br> |
|  22|[0x80002064]<br>0xfffbffde|- rs1 : x27<br> - rd : x20<br> - rs1_val == 4294965247<br>                                                 |[0x80000254]:sha256sum1<br> [0x80000258]:sw<br> |
|  23|[0x80002068]<br>0x7ffdffef|- rs1 : x1<br> - rd : x24<br> - rs1_val == 4294966271<br>                                                  |[0x80000268]:sha256sum1<br> [0x8000026c]:sw<br> |
|  24|[0x8000206c]<br>0xbffefff7|- rs1 : x11<br> - rd : x19<br> - rs1_val == 4294966783<br>                                                 |[0x80000274]:sha256sum1<br> [0x80000278]:sw<br> |
|  25|[0x80002070]<br>0xdfff7ffb|- rs1 : x17<br> - rd : x16<br> - rs1_val == 4294967039<br>                                                 |[0x80000280]:sha256sum1<br> [0x80000284]:sw<br> |
|  26|[0x80002074]<br>0xefffbffd|- rs1 : x20<br> - rd : x25<br> - rs1_val == 4294967167<br>                                                 |[0x8000028c]:sha256sum1<br> [0x80000290]:sw<br> |
|  27|[0x80002078]<br>0xf7ffdffe|- rs1 : x12<br> - rd : x10<br> - rs1_val == 4294967231<br>                                                 |[0x80000298]:sha256sum1<br> [0x8000029c]:sw<br> |
|  28|[0x8000207c]<br>0x7bffefff|- rs1 : x28<br> - rd : x21<br> - rs1_val == 4294967263<br>                                                 |[0x800002a4]:sha256sum1<br> [0x800002a8]:sw<br> |
|  29|[0x80002080]<br>0xbdfff7ff|- rs1 : x19<br> - rd : x3<br> - rs1_val == 4294967279<br>                                                  |[0x800002b0]:sha256sum1<br> [0x800002b4]:sw<br> |
|  30|[0x80002084]<br>0xdefffbff|- rs1 : x22<br> - rd : x1<br> - rs1_val == 4294967287<br>                                                  |[0x800002bc]:sha256sum1<br> [0x800002c0]:sw<br> |
|  31|[0x80002088]<br>0xef7ffdff|- rs1 : x14<br> - rd : x11<br> - rs1_val == 4294967291<br>                                                 |[0x800002c8]:sha256sum1<br> [0x800002cc]:sw<br> |
|  32|[0x8000208c]<br>0xf7bffeff|- rs1 : x31<br> - rd : x15<br> - rs1_val == 4294967293<br>                                                 |[0x800002d4]:sha256sum1<br> [0x800002d8]:sw<br> |
|  33|[0x80002090]<br>0xfbdfff7f|- rs1_val == 4294967294<br>                                                                                |[0x800002e0]:sha256sum1<br> [0x800002e4]:sw<br> |
|  34|[0x80002094]<br>0x02100040|- rs1_val == 2147483648<br>                                                                                |[0x800002ec]:sha256sum1<br> [0x800002f0]:sw<br> |
|  35|[0x80002098]<br>0x01080020|- rs1_val == 1073741824<br>                                                                                |[0x800002f8]:sha256sum1<br> [0x800002fc]:sw<br> |
|  36|[0x8000209c]<br>0x00840010|- rs1_val == 536870912<br>                                                                                 |[0x80000304]:sha256sum1<br> [0x80000308]:sw<br> |
|  37|[0x800020a0]<br>0x00420008|- rs1_val == 268435456<br>                                                                                 |[0x80000310]:sha256sum1<br> [0x80000314]:sw<br> |
|  38|[0x800020a4]<br>0x00210004|- rs1_val == 134217728<br>                                                                                 |[0x8000031c]:sha256sum1<br> [0x80000320]:sw<br> |
|  39|[0x800020a8]<br>0x00108002|- rs1_val == 67108864<br>                                                                                  |[0x80000328]:sha256sum1<br> [0x8000032c]:sw<br> |
|  40|[0x800020ac]<br>0x00084001|- rs1_val == 33554432<br>                                                                                  |[0x80000334]:sha256sum1<br> [0x80000338]:sw<br> |
|  41|[0x800020b0]<br>0x80042000|- rs1_val == 16777216<br>                                                                                  |[0x80000340]:sha256sum1<br> [0x80000344]:sw<br> |
|  42|[0x800020b4]<br>0x40021000|- rs1_val == 8388608<br>                                                                                   |[0x8000034c]:sha256sum1<br> [0x80000350]:sw<br> |
|  43|[0x800020b8]<br>0x20010800|- rs1_val == 4194304<br>                                                                                   |[0x80000358]:sha256sum1<br> [0x8000035c]:sw<br> |
|  44|[0x800020bc]<br>0x10008400|- rs1_val == 2097152<br>                                                                                   |[0x80000364]:sha256sum1<br> [0x80000368]:sw<br> |
|  45|[0x800020c0]<br>0x08004200|- rs1_val == 1048576<br>                                                                                   |[0x80000370]:sha256sum1<br> [0x80000374]:sw<br> |
|  46|[0x800020c4]<br>0x04002100|- rs1_val == 524288<br>                                                                                    |[0x8000037c]:sha256sum1<br> [0x80000380]:sw<br> |
|  47|[0x800020c8]<br>0x02001080|- rs1_val == 262144<br>                                                                                    |[0x80000388]:sha256sum1<br> [0x8000038c]:sw<br> |
|  48|[0x800020cc]<br>0x01000840|- rs1_val == 131072<br>                                                                                    |[0x80000394]:sha256sum1<br> [0x80000398]:sw<br> |
|  49|[0x800020d0]<br>0x00800420|- rs1_val == 65536<br>                                                                                     |[0x800003a0]:sha256sum1<br> [0x800003a4]:sw<br> |
|  50|[0x800020d4]<br>0x00400210|- rs1_val == 32768<br>                                                                                     |[0x800003ac]:sha256sum1<br> [0x800003b0]:sw<br> |
|  51|[0x800020d8]<br>0x00200108|- rs1_val == 16384<br>                                                                                     |[0x800003b8]:sha256sum1<br> [0x800003bc]:sw<br> |
|  52|[0x800020dc]<br>0x00100084|- rs1_val == 8192<br>                                                                                      |[0x800003c4]:sha256sum1<br> [0x800003c8]:sw<br> |
|  53|[0x800020e0]<br>0x00080042|- rs1_val == 4096<br>                                                                                      |[0x800003d0]:sha256sum1<br> [0x800003d4]:sw<br> |
|  54|[0x800020e4]<br>0x04200080|- rs1_val == 1<br>                                                                                         |[0x800003dc]:sha256sum1<br> [0x800003e0]:sw<br> |
|  55|[0x800020e8]<br>0xfff19493|- rs1_val == 0x3150e5fa #nosat<br>                                                                         |[0x800003ec]:sha256sum1<br> [0x800003f0]:sw<br> |
|  56|[0x800020ec]<br>0x252ab1e6|- rs1_val == 0x90efb625 #nosat<br>                                                                         |[0x800003fc]:sha256sum1<br> [0x80000400]:sw<br> |
|  57|[0x800020f0]<br>0xe3bf9392|- rs1_val == 0x65408c73 #nosat<br>                                                                         |[0x8000040c]:sha256sum1<br> [0x80000410]:sw<br> |
|  58|[0x800020f4]<br>0xb3750fd2|- rs1_val == 0x1fc493ca #nosat<br>                                                                         |[0x8000041c]:sha256sum1<br> [0x80000420]:sw<br> |
|  59|[0x800020f8]<br>0x288e77d3|- rs1_val == 0xd169a3f8 #nosat<br>                                                                         |[0x8000042c]:sha256sum1<br> [0x80000430]:sw<br> |
|  60|[0x800020fc]<br>0x383f6a22|- rs1_val == 0x8e2eac2a #nosat<br>                                                                         |[0x8000043c]:sha256sum1<br> [0x80000440]:sw<br> |
|  61|[0x80002100]<br>0x1eac1796|- rs1_val == 0xf4c30307 #nosat<br>                                                                         |[0x8000044c]:sha256sum1<br> [0x80000450]:sw<br> |
|  62|[0x80002104]<br>0xefaae461|- rs1_val == 0x35f9377f #nosat<br>                                                                         |[0x8000045c]:sha256sum1<br> [0x80000460]:sw<br> |
|  63|[0x80002108]<br>0x5f1bebf6|- rs1_val == 0xa0569d76 #nosat<br>                                                                         |[0x8000046c]:sha256sum1<br> [0x80000470]:sw<br> |
|  64|[0x8000210c]<br>0xd68c1aa7|- rs1_val == 0x58d548aa #nosat<br>                                                                         |[0x8000047c]:sha256sum1<br> [0x80000480]:sw<br> |
|  65|[0x80002110]<br>0x939e680e|- rs1_val == 0x2daf9ac7 #nosat<br>                                                                         |[0x8000048c]:sha256sum1<br> [0x80000490]:sw<br> |
|  66|[0x80002114]<br>0xd85bea2a|- rs1_val == 0x55d98c6e #nosat<br>                                                                         |[0x8000049c]:sha256sum1<br> [0x800004a0]:sw<br> |
|  67|[0x80002118]<br>0x838da6de|- rs1_val == 0xf273b44c #nosat<br>                                                                         |[0x800004ac]:sha256sum1<br> [0x800004b0]:sw<br> |
|  68|[0x8000211c]<br>0x915337db|- rs1_val == 0x74b8de87 #nosat<br>                                                                         |[0x800004bc]:sha256sum1<br> [0x800004c0]:sw<br> |
|  69|[0x80002120]<br>0xb22da52b|- rs1_val == 0x886c3a30 #nosat<br>                                                                         |[0x800004cc]:sha256sum1<br> [0x800004d0]:sw<br> |
|  70|[0x80002124]<br>0xd5b8a732|- rs1_val == 0xccce240c #nosat<br>                                                                         |[0x800004dc]:sha256sum1<br> [0x800004e0]:sw<br> |
|  71|[0x80002128]<br>0xbf8e0c4f|- rs1_val == 0xbb61a9cd #nosat<br>                                                                         |[0x800004ec]:sha256sum1<br> [0x800004f0]:sw<br> |
|  72|[0x8000212c]<br>0x47050fc5|- rs1_val == 0xb49c83dc #nosat<br>                                                                         |[0x800004fc]:sha256sum1<br> [0x80000500]:sw<br> |
|  73|[0x80002130]<br>0xe606d279|- rs1_val == 0xc5521660 #nosat<br>                                                                         |[0x8000050c]:sha256sum1<br> [0x80000510]:sw<br> |
|  74|[0x80002134]<br>0x00040021|- rs1_val == 2048<br>                                                                                      |[0x8000051c]:sha256sum1<br> [0x80000520]:sw<br> |
|  75|[0x80002138]<br>0x80020010|- rs1_val == 1024<br>                                                                                      |[0x80000528]:sha256sum1<br> [0x8000052c]:sw<br> |
|  76|[0x8000213c]<br>0x40010008|- rs1_val == 512<br>                                                                                       |[0x80000534]:sha256sum1<br> [0x80000538]:sw<br> |
|  77|[0x80002140]<br>0x20008004|- rs1_val == 256<br>                                                                                       |[0x80000540]:sha256sum1<br> [0x80000544]:sw<br> |
|  78|[0x80002144]<br>0x10004002|- rs1_val == 128<br>                                                                                       |[0x8000054c]:sha256sum1<br> [0x80000550]:sw<br> |
|  79|[0x80002148]<br>0x08002001|- rs1_val == 64<br>                                                                                        |[0x80000558]:sha256sum1<br> [0x8000055c]:sw<br> |
|  80|[0x8000214c]<br>0x84001000|- rs1_val == 32<br>                                                                                        |[0x80000564]:sha256sum1<br> [0x80000568]:sw<br> |
|  81|[0x80002150]<br>0x42000800|- rs1_val == 16<br>                                                                                        |[0x80000570]:sha256sum1<br> [0x80000574]:sw<br> |
|  82|[0x80002154]<br>0x21000400|- rs1_val == 8<br>                                                                                         |[0x8000057c]:sha256sum1<br> [0x80000580]:sw<br> |
|  83|[0x80002158]<br>0x10800200|- rs1_val == 4<br>                                                                                         |[0x80000588]:sha256sum1<br> [0x8000058c]:sw<br> |
|  84|[0x8000215c]<br>0x08400100|- rs1_val == 2<br>                                                                                         |[0x80000594]:sha256sum1<br> [0x80000598]:sw<br> |
|  85|[0x80002160]<br>0xff7bffef|- rs1_val == 3758096383<br>                                                                                |[0x800005a4]:sha256sum1<br> [0x800005a8]:sw<br> |
