
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80006e60')]      |
| SIG_REGION                | [('0x80008010', '0x80009510', '672 dwords')]      |
| COV_LABELS                | cand      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cand-01.S/cand-01.S    |
| Total Number of coverpoints| 771     |
| Total Coverpoints Hit     | 771      |
| Total Signature Updates   | 671      |
| STAT1                     | 670      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000ce8]:c.and a0, a1
      [0x80000cea]:sd a0, 864(ra)
 -- Signature Address: 0x80008370 Data: 0x2000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : c.and
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val < 0
      - rs2_val == -2199023255553
      - rs1_val == 2305843009213693952






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                       coverpoints                                                                                       |                             code                              |
|---:|----------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80008010]<br>0x0000000000000000|- opcode : c.and<br> - rs1 : x9<br> - rs2 : x8<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -9223372036854775808<br> - rs1_val == 68719476736<br> |[0x800003a8]:c.and s1, s0<br> [0x800003aa]:sd s1, 0(ra)<br>    |
|   2|[0x80008018]<br>0xFFFFFDFFFFFFFFFF|- rs1 : x14<br> - rs2 : x14<br> - rs1 == rs2<br> - rs2_val == -2199023255553<br> - rs1_val == -2199023255553<br>                                                                         |[0x800003c6]:c.and a4, a4<br> [0x800003c8]:sd a4, 8(ra)<br>    |
|   3|[0x80008020]<br>0x0000000000000800|- rs1 : x15<br> - rs2 : x10<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 9223372036854775807<br> - rs1_val == 2048<br>                                            |[0x800003e0]:c.and a5, a0<br> [0x800003e2]:sd a5, 16(ra)<br>   |
|   4|[0x80008028]<br>0x0000000000000000|- rs1 : x12<br> - rs2 : x13<br> - rs2_val == 1<br> - rs1_val == 8<br>                                                                                                                    |[0x800003ee]:c.and a2, a3<br> [0x800003f0]:sd a2, 24(ra)<br>   |
|   5|[0x80008030]<br>0x8000000000000000|- rs1 : x13<br> - rs2 : x9<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == -129<br> - rs1_val == -9223372036854775808<br>                                                               |[0x80000400]:c.and a3, s1<br> [0x80000402]:sd a3, 32(ra)<br>   |
|   6|[0x80008038]<br>0x0000000000000000|- rs1 : x8<br> - rs2 : x15<br> - rs1_val == 0<br> - rs2_val == 4194304<br>                                                                                                               |[0x8000040e]:c.and s0, a5<br> [0x80000410]:sd fp, 40(ra)<br>   |
|   7|[0x80008040]<br>0x7FFFFFFFFFFFFFBF|- rs1 : x11<br> - rs2 : x12<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == -65<br> - rs1_val == 9223372036854775807<br>                                                               |[0x80000424]:c.and a1, a2<br> [0x80000426]:sd a1, 48(ra)<br>   |
|   8|[0x80008048]<br>0x0000000000000001|- rs1 : x10<br> - rs2 : x11<br> - rs1_val == 1<br>                                                                                                                                       |[0x8000044e]:c.and a0, a1<br> [0x80000450]:sd a0, 56(ra)<br>   |
|   9|[0x80008050]<br>0x0000000000000000|- rs2_val == 2<br> - rs1_val == 4<br> - rs1_val==4 and rs2_val==2<br>                                                                                                                    |[0x8000045c]:c.and a0, a1<br> [0x8000045e]:sd a0, 64(ra)<br>   |
|  10|[0x80008058]<br>0x0000000000000000|- rs2_val == 4<br> - rs1_val == 128<br>                                                                                                                                                  |[0x8000046a]:c.and a0, a1<br> [0x8000046c]:sd a0, 72(ra)<br>   |
|  11|[0x80008060]<br>0x0000000000000008|- rs2_val == 8<br> - rs1_val == -4503599627370497<br>                                                                                                                                    |[0x80000480]:c.and a0, a1<br> [0x80000482]:sd a0, 80(ra)<br>   |
|  12|[0x80008068]<br>0x0000000000000010|- rs2_val == 16<br> - rs1_val == 16<br>                                                                                                                                                  |[0x8000048e]:c.and a0, a1<br> [0x80000490]:sd a0, 88(ra)<br>   |
|  13|[0x80008070]<br>0x0000000000000020|- rs2_val == 32<br> - rs1_val == -268435457<br>                                                                                                                                          |[0x800004a0]:c.and a0, a1<br> [0x800004a2]:sd a0, 96(ra)<br>   |
|  14|[0x80008078]<br>0x0000000000000000|- rs2_val == 64<br>                                                                                                                                                                      |[0x800004ba]:c.and a0, a1<br> [0x800004bc]:sd a0, 104(ra)<br>  |
|  15|[0x80008080]<br>0x0000000000000000|- rs2_val == 128<br> - rs1_val == 512<br>                                                                                                                                                |[0x800004c8]:c.and a0, a1<br> [0x800004ca]:sd a0, 112(ra)<br>  |
|  16|[0x80008088]<br>0x0000000000000100|- rs2_val == 256<br> - rs1_val == -134217729<br>                                                                                                                                         |[0x800004da]:c.and a0, a1<br> [0x800004dc]:sd a0, 120(ra)<br>  |
|  17|[0x80008090]<br>0x0000000000000200|- rs2_val == 512<br>                                                                                                                                                                     |[0x800004f4]:c.and a0, a1<br> [0x800004f6]:sd a0, 128(ra)<br>  |
|  18|[0x80008098]<br>0x0000000000000400|- rs2_val == 1024<br> - rs1_val == -3<br>                                                                                                                                                |[0x80000502]:c.and a0, a1<br> [0x80000504]:sd a0, 136(ra)<br>  |
|  19|[0x800080a0]<br>0x0000000000000800|- rs2_val == 2048<br> - rs1_val == -1025<br>                                                                                                                                             |[0x80000514]:c.and a0, a1<br> [0x80000516]:sd a0, 144(ra)<br>  |
|  20|[0x800080a8]<br>0x0000000000000000|- rs2_val == 4096<br> - rs1_val == 137438953472<br>                                                                                                                                      |[0x80000526]:c.and a0, a1<br> [0x80000528]:sd a0, 152(ra)<br>  |
|  21|[0x800080b0]<br>0x0000000000002000|- rs2_val == 8192<br> - rs1_val == -33<br>                                                                                                                                               |[0x80000534]:c.and a0, a1<br> [0x80000536]:sd a0, 160(ra)<br>  |
|  22|[0x800080b8]<br>0x0000000000000000|- rs2_val == 16384<br> - rs1_val == 17179869184<br>                                                                                                                                      |[0x80000546]:c.and a0, a1<br> [0x80000548]:sd a0, 168(ra)<br>  |
|  23|[0x800080c0]<br>0x0000000000008000|- rs2_val == 32768<br> - rs1_val == -72057594037927937<br>                                                                                                                               |[0x8000055c]:c.and a0, a1<br> [0x8000055e]:sd a0, 176(ra)<br>  |
|  24|[0x800080c8]<br>0x0000000000010000|- rs2_val == 65536<br> - rs1_val == -1125899906842625<br>                                                                                                                                |[0x80000572]:c.and a0, a1<br> [0x80000574]:sd a0, 184(ra)<br>  |
|  25|[0x800080d0]<br>0x0000000000020000|- rs2_val == 131072<br> - rs1_val == -4194305<br>                                                                                                                                        |[0x80000584]:c.and a0, a1<br> [0x80000586]:sd a0, 192(ra)<br>  |
|  26|[0x800080d8]<br>0x0000000000000000|- rs2_val == 262144<br> - rs1_val == 4611686018427387904<br>                                                                                                                             |[0x80000596]:c.and a0, a1<br> [0x80000598]:sd a0, 200(ra)<br>  |
|  27|[0x800080e0]<br>0x0000000000080000|- rs2_val == 524288<br> - rs1_val == -1152921504606846977<br>                                                                                                                            |[0x800005ac]:c.and a0, a1<br> [0x800005ae]:sd a0, 208(ra)<br>  |
|  28|[0x800080e8]<br>0x0000000000100000|- rs2_val == 1048576<br> - rs1_val == -65<br>                                                                                                                                            |[0x800005ba]:c.and a0, a1<br> [0x800005bc]:sd a0, 216(ra)<br>  |
|  29|[0x800080f0]<br>0x0000000000200000|- rs2_val == 2097152<br>                                                                                                                                                                 |[0x800005c8]:c.and a0, a1<br> [0x800005ca]:sd a0, 224(ra)<br>  |
|  30|[0x800080f8]<br>0x0000000000800000|- rs2_val == 8388608<br> - rs1_val == -144115188075855873<br>                                                                                                                            |[0x800005de]:c.and a0, a1<br> [0x800005e0]:sd a0, 232(ra)<br>  |
|  31|[0x80008100]<br>0x0000000001000000|- rs2_val == 16777216<br>                                                                                                                                                                |[0x800005f4]:c.and a0, a1<br> [0x800005f6]:sd a0, 240(ra)<br>  |
|  32|[0x80008108]<br>0x0000000000000000|- rs2_val == 33554432<br> - rs1_val == 2<br>                                                                                                                                             |[0x80000602]:c.and a0, a1<br> [0x80000604]:sd a0, 248(ra)<br>  |
|  33|[0x80008110]<br>0x0000000000000000|- rs2_val == 67108864<br> - rs1_val == 2199023255552<br>                                                                                                                                 |[0x80000614]:c.and a0, a1<br> [0x80000616]:sd a0, 256(ra)<br>  |
|  34|[0x80008118]<br>0x0000000008000000|- rs2_val == 134217728<br> - rs1_val == -2305843009213693953<br>                                                                                                                         |[0x8000062a]:c.and a0, a1<br> [0x8000062c]:sd a0, 264(ra)<br>  |
|  35|[0x80008120]<br>0x0000000000000000|- rs2_val == 268435456<br> - rs1_val == 2305843009213693952<br>                                                                                                                          |[0x8000063c]:c.and a0, a1<br> [0x8000063e]:sd a0, 272(ra)<br>  |
|  36|[0x80008128]<br>0x0000000000000000|- rs2_val == 536870912<br> - rs1_val == 72057594037927936<br>                                                                                                                            |[0x8000064e]:c.and a0, a1<br> [0x80000650]:sd a0, 280(ra)<br>  |
|  37|[0x80008130]<br>0x0000000040000000|- rs2_val == 1073741824<br> - rs1_val == -562949953421313<br>                                                                                                                            |[0x80000664]:c.and a0, a1<br> [0x80000666]:sd a0, 288(ra)<br>  |
|  38|[0x80008138]<br>0x0000000000000000|- rs2_val == 2147483648<br>                                                                                                                                                              |[0x8000067a]:c.and a0, a1<br> [0x8000067c]:sd a0, 296(ra)<br>  |
|  39|[0x80008140]<br>0x0000000100000000|- rs2_val == 4294967296<br>                                                                                                                                                              |[0x8000068c]:c.and a0, a1<br> [0x8000068e]:sd a0, 304(ra)<br>  |
|  40|[0x80008148]<br>0x0000000200000000|- rs2_val == 8589934592<br>                                                                                                                                                              |[0x800006ba]:c.and a0, a1<br> [0x800006bc]:sd a0, 312(ra)<br>  |
|  41|[0x80008150]<br>0x0000000000000000|- rs2_val == 17179869184<br> - rs1_val == 8589934592<br>                                                                                                                                 |[0x800006d0]:c.and a0, a1<br> [0x800006d2]:sd a0, 320(ra)<br>  |
|  42|[0x80008158]<br>0x0000000800000000|- rs2_val == 34359738368<br>                                                                                                                                                             |[0x800006ea]:c.and a0, a1<br> [0x800006ec]:sd a0, 328(ra)<br>  |
|  43|[0x80008160]<br>0x0000001000000000|- rs2_val == 68719476736<br>                                                                                                                                                             |[0x80000704]:c.and a0, a1<br> [0x80000706]:sd a0, 336(ra)<br>  |
|  44|[0x80008168]<br>0x0000000000000000|- rs2_val == 137438953472<br>                                                                                                                                                            |[0x80000716]:c.and a0, a1<br> [0x80000718]:sd a0, 344(ra)<br>  |
|  45|[0x80008170]<br>0x0000004000000000|- rs2_val == 274877906944<br> - rs1_val == -67108865<br>                                                                                                                                 |[0x8000072c]:c.and a0, a1<br> [0x8000072e]:sd a0, 352(ra)<br>  |
|  46|[0x80008178]<br>0x0000000000000000|- rs2_val == 549755813888<br>                                                                                                                                                            |[0x80000742]:c.and a0, a1<br> [0x80000744]:sd a0, 360(ra)<br>  |
|  47|[0x80008180]<br>0x0000010000000000|- rs2_val == 1099511627776<br>                                                                                                                                                           |[0x80000754]:c.and a0, a1<br> [0x80000756]:sd a0, 368(ra)<br>  |
|  48|[0x80008188]<br>0x0000020000000000|- rs2_val == 2199023255552<br>                                                                                                                                                           |[0x80000766]:c.and a0, a1<br> [0x80000768]:sd a0, 376(ra)<br>  |
|  49|[0x80008190]<br>0x0000040000000000|- rs2_val == 4398046511104<br> - rs1_val == -288230376151711745<br>                                                                                                                      |[0x80000780]:c.and a0, a1<br> [0x80000782]:sd a0, 384(ra)<br>  |
|  50|[0x80008198]<br>0x0000080000000000|- rs2_val == 8796093022208<br> - rs1_val == -513<br>                                                                                                                                     |[0x80000792]:c.and a0, a1<br> [0x80000794]:sd a0, 392(ra)<br>  |
|  51|[0x800081a0]<br>0x0000000000000000|- rs2_val == 17592186044416<br> - rs1_val == 524288<br>                                                                                                                                  |[0x800007a4]:c.and a0, a1<br> [0x800007a6]:sd a0, 400(ra)<br>  |
|  52|[0x800081a8]<br>0x0000200000000000|- rs2_val == 35184372088832<br> - rs1_val == -68719476737<br>                                                                                                                            |[0x800007be]:c.and a0, a1<br> [0x800007c0]:sd a0, 408(ra)<br>  |
|  53|[0x800081b0]<br>0x0000400000000000|- rs2_val == 70368744177664<br>                                                                                                                                                          |[0x800007d8]:c.and a0, a1<br> [0x800007da]:sd a0, 416(ra)<br>  |
|  54|[0x800081b8]<br>0x0000000000000000|- rs2_val == 140737488355328<br>                                                                                                                                                         |[0x80000806]:c.and a0, a1<br> [0x80000808]:sd a0, 424(ra)<br>  |
|  55|[0x800081c0]<br>0x0001000000000000|- rs2_val == 281474976710656<br> - rs1_val == -8193<br>                                                                                                                                  |[0x8000081c]:c.and a0, a1<br> [0x8000081e]:sd a0, 432(ra)<br>  |
|  56|[0x800081c8]<br>0x0000000000000000|- rs2_val == 562949953421312<br> - rs1_val == 256<br>                                                                                                                                    |[0x8000082e]:c.and a0, a1<br> [0x80000830]:sd a0, 440(ra)<br>  |
|  57|[0x800081d0]<br>0x0004000000000000|- rs2_val == 1125899906842624<br> - rs1_val == -2147483649<br>                                                                                                                           |[0x80000848]:c.and a0, a1<br> [0x8000084a]:sd a0, 448(ra)<br>  |
|  58|[0x800081d8]<br>0x0008000000000000|- rs2_val == 2251799813685248<br>                                                                                                                                                        |[0x8000085a]:c.and a0, a1<br> [0x8000085c]:sd a0, 456(ra)<br>  |
|  59|[0x800081e0]<br>0x0000000000000000|- rs2_val == 4503599627370496<br>                                                                                                                                                        |[0x8000086c]:c.and a0, a1<br> [0x8000086e]:sd a0, 464(ra)<br>  |
|  60|[0x800081e8]<br>0x0000000000000000|- rs2_val == 9007199254740992<br> - rs1_val == 4194304<br>                                                                                                                               |[0x8000087e]:c.and a0, a1<br> [0x80000880]:sd a0, 472(ra)<br>  |
|  61|[0x800081f0]<br>0x0000000000000000|- rs2_val == 18014398509481984<br>                                                                                                                                                       |[0x80000894]:c.and a0, a1<br> [0x80000896]:sd a0, 480(ra)<br>  |
|  62|[0x800081f8]<br>0x0000000000000000|- rs2_val == 36028797018963968<br> - rs1_val == 274877906944<br>                                                                                                                         |[0x800008aa]:c.and a0, a1<br> [0x800008ac]:sd a0, 488(ra)<br>  |
|  63|[0x80008200]<br>0x0100000000000000|- rs2_val == 72057594037927936<br>                                                                                                                                                       |[0x800008bc]:c.and a0, a1<br> [0x800008be]:sd a0, 496(ra)<br>  |
|  64|[0x80008208]<br>0x0000000000000000|- rs2_val == 144115188075855872<br> - rs1_val == 4398046511104<br>                                                                                                                       |[0x800008d2]:c.and a0, a1<br> [0x800008d4]:sd a0, 504(ra)<br>  |
|  65|[0x80008210]<br>0x0400000000000000|- rs2_val == 288230376151711744<br> - rs1_val == -34359738369<br>                                                                                                                        |[0x800008ec]:c.and a0, a1<br> [0x800008ee]:sd a0, 512(ra)<br>  |
|  66|[0x80008218]<br>0x0800000000000000|- rs2_val == 576460752303423488<br>                                                                                                                                                      |[0x800008fe]:c.and a0, a1<br> [0x80000900]:sd a0, 520(ra)<br>  |
|  67|[0x80008220]<br>0x1000000000000000|- rs2_val == 1152921504606846976<br>                                                                                                                                                     |[0x80000918]:c.and a0, a1<br> [0x8000091a]:sd a0, 528(ra)<br>  |
|  68|[0x80008228]<br>0x0000000000000000|- rs2_val == 2305843009213693952<br>                                                                                                                                                     |[0x8000092e]:c.and a0, a1<br> [0x80000930]:sd a0, 536(ra)<br>  |
|  69|[0x80008230]<br>0x4000000000000000|- rs2_val == 4611686018427387904<br>                                                                                                                                                     |[0x80000944]:c.and a0, a1<br> [0x80000946]:sd a0, 544(ra)<br>  |
|  70|[0x80008238]<br>0x0000000000000006|- rs2_val == -2<br>                                                                                                                                                                      |[0x80000952]:c.and a0, a1<br> [0x80000954]:sd a0, 552(ra)<br>  |
|  71|[0x80008240]<br>0x0800000000000000|- rs2_val == -3<br> - rs1_val == 576460752303423488<br>                                                                                                                                  |[0x80000964]:c.and a0, a1<br> [0x80000966]:sd a0, 560(ra)<br>  |
|  72|[0x80008248]<br>0xC000000000000000|- rs2_val == -5<br>                                                                                                                                                                      |[0x80000976]:c.and a0, a1<br> [0x80000978]:sd a0, 568(ra)<br>  |
|  73|[0x80008250]<br>0x0000000000000080|- rs2_val == -9<br>                                                                                                                                                                      |[0x80000984]:c.and a0, a1<br> [0x80000986]:sd a0, 576(ra)<br>  |
|  74|[0x80008258]<br>0xFFEFFFFFFFFFFFEF|- rs2_val == -17<br>                                                                                                                                                                     |[0x8000099a]:c.and a0, a1<br> [0x8000099c]:sd a0, 584(ra)<br>  |
|  75|[0x80008260]<br>0xFFFFF7FFFFFFFFDF|- rs2_val == -33<br> - rs1_val == -8796093022209<br>                                                                                                                                     |[0x800009b0]:c.and a0, a1<br> [0x800009b2]:sd a0, 592(ra)<br>  |
|  76|[0x80008268]<br>0x0040000000000000|- rs2_val == -257<br> - rs1_val == 18014398509481984<br>                                                                                                                                 |[0x800009c2]:c.and a0, a1<br> [0x800009c4]:sd a0, 600(ra)<br>  |
|  77|[0x80008270]<br>0xFFFFFFFFFFFFFCFF|- rs2_val == -513<br> - rs1_val == -257<br>                                                                                                                                              |[0x800009d0]:c.and a0, a1<br> [0x800009d2]:sd a0, 608(ra)<br>  |
|  78|[0x80008278]<br>0x0000000000800000|- rs2_val == -1025<br> - rs1_val == 8388608<br>                                                                                                                                          |[0x800009de]:c.and a0, a1<br> [0x800009e0]:sd a0, 616(ra)<br>  |
|  79|[0x80008280]<br>0xFFFFF7FFFFFFF7FF|- rs2_val == -2049<br>                                                                                                                                                                   |[0x800009f8]:c.and a0, a1<br> [0x800009fa]:sd a0, 624(ra)<br>  |
|  80|[0x80008288]<br>0x0000000000000000|- rs2_val == -4097<br> - rs1_val == 4096<br>                                                                                                                                             |[0x80000a0a]:c.and a0, a1<br> [0x80000a0c]:sd a0, 632(ra)<br>  |
|  81|[0x80008290]<br>0xFBFFFFFFFFFFDFFF|- rs2_val == -8193<br>                                                                                                                                                                   |[0x80000a24]:c.and a0, a1<br> [0x80000a26]:sd a0, 640(ra)<br>  |
|  82|[0x80008298]<br>0x0000000000010000|- rs2_val == -16385<br> - rs1_val == 65536<br>                                                                                                                                           |[0x80000a36]:c.and a0, a1<br> [0x80000a38]:sd a0, 648(ra)<br>  |
|  83|[0x800082a0]<br>0xFFFFFFFFEFFF7FFF|- rs2_val == -32769<br>                                                                                                                                                                  |[0x80000a4c]:c.and a0, a1<br> [0x80000a4e]:sd a0, 656(ra)<br>  |
|  84|[0x800082a8]<br>0xFFFFFFFFFFFEFFBF|- rs2_val == -65537<br>                                                                                                                                                                  |[0x80000a5e]:c.and a0, a1<br> [0x80000a60]:sd a0, 664(ra)<br>  |
|  85|[0x800082b0]<br>0x4000000000000000|- rs2_val == -131073<br>                                                                                                                                                                 |[0x80000a74]:c.and a0, a1<br> [0x80000a76]:sd a0, 672(ra)<br>  |
|  86|[0x800082b8]<br>0xFFFFFFFFFFFAFFFF|- rs2_val == -262145<br> - rs1_val == -65537<br>                                                                                                                                         |[0x80000a8a]:c.and a0, a1<br> [0x80000a8c]:sd a0, 680(ra)<br>  |
|  87|[0x800082c0]<br>0x7FFFFFFFFFF7FFFF|- rs2_val == -524289<br>                                                                                                                                                                 |[0x80000aa4]:c.and a0, a1<br> [0x80000aa6]:sd a0, 688(ra)<br>  |
|  88|[0x800082c8]<br>0xFFFFFFFFFFEFEFFF|- rs2_val == -1048577<br> - rs1_val == -4097<br>                                                                                                                                         |[0x80000aba]:c.and a0, a1<br> [0x80000abc]:sd a0, 696(ra)<br>  |
|  89|[0x800082d0]<br>0x0000000000004000|- rs2_val == -2097153<br> - rs1_val == 16384<br>                                                                                                                                         |[0x80000acc]:c.and a0, a1<br> [0x80000ace]:sd a0, 704(ra)<br>  |
|  90|[0x800082d8]<br>0x6666666666266667|- rs2_val == -4194305<br>                                                                                                                                                                |[0x80000afa]:c.and a0, a1<br> [0x80000afc]:sd a0, 712(ra)<br>  |
|  91|[0x800082e0]<br>0x0000000400000000|- rs2_val == -8388609<br>                                                                                                                                                                |[0x80000b10]:c.and a0, a1<br> [0x80000b12]:sd a0, 720(ra)<br>  |
|  92|[0x800082e8]<br>0x0000000000000400|- rs2_val == -16777217<br> - rs1_val == 1024<br>                                                                                                                                         |[0x80000b22]:c.and a0, a1<br> [0x80000b24]:sd a0, 728(ra)<br>  |
|  93|[0x800082f0]<br>0xFFFFFFFFFDBFFFFF|- rs2_val == -33554433<br>                                                                                                                                                               |[0x80000b38]:c.and a0, a1<br> [0x80000b3a]:sd a0, 736(ra)<br>  |
|  94|[0x800082f8]<br>0x0000000000000003|- rs2_val == -67108865<br>                                                                                                                                                               |[0x80000b4a]:c.and a0, a1<br> [0x80000b4c]:sd a0, 744(ra)<br>  |
|  95|[0x80008300]<br>0x0000080000000000|- rs2_val == -134217729<br> - rs1_val == 8796093022208<br>                                                                                                                               |[0x80000b60]:c.and a0, a1<br> [0x80000b62]:sd a0, 752(ra)<br>  |
|  96|[0x80008308]<br>0xFFBFFFFFEFFFFFFF|- rs2_val == -268435457<br> - rs1_val == -18014398509481985<br>                                                                                                                          |[0x80000b7a]:c.and a0, a1<br> [0x80000b7c]:sd a0, 760(ra)<br>  |
|  97|[0x80008310]<br>0x0000000000000004|- rs2_val == -536870913<br>                                                                                                                                                              |[0x80000b8c]:c.and a0, a1<br> [0x80000b8e]:sd a0, 768(ra)<br>  |
|  98|[0x80008318]<br>0x0000000000000000|- rs2_val == -1073741825<br>                                                                                                                                                             |[0x80000b9e]:c.and a0, a1<br> [0x80000ba0]:sd a0, 776(ra)<br>  |
|  99|[0x80008320]<br>0x0200000000000000|- rs2_val == -2147483649<br> - rs1_val == 144115188075855872<br>                                                                                                                         |[0x80000bb8]:c.and a0, a1<br> [0x80000bba]:sd a0, 784(ra)<br>  |
| 100|[0x80008328]<br>0xFFFFFBFEFFFFFFFF|- rs2_val == -4294967297<br> - rs1_val == -4398046511105<br>                                                                                                                             |[0x80000bd6]:c.and a0, a1<br> [0x80000bd8]:sd a0, 792(ra)<br>  |
| 101|[0x80008330]<br>0x0000000004000000|- rs2_val == -8589934593<br> - rs1_val == 67108864<br>                                                                                                                                   |[0x80000bec]:c.and a0, a1<br> [0x80000bee]:sd a0, 800(ra)<br>  |
| 102|[0x80008338]<br>0xFFFFFFFBFFFEFFFF|- rs2_val == -17179869185<br>                                                                                                                                                            |[0x80000c06]:c.and a0, a1<br> [0x80000c08]:sd a0, 808(ra)<br>  |
| 103|[0x80008340]<br>0xFFFFFFF5FFFFFFFF|- rs2_val == -34359738369<br> - rs1_val == -8589934593<br>                                                                                                                               |[0x80000c24]:c.and a0, a1<br> [0x80000c26]:sd a0, 816(ra)<br>  |
| 104|[0x80008348]<br>0xFFFFFFEFEFFFFFFF|- rs2_val == -68719476737<br>                                                                                                                                                            |[0x80000c3e]:c.and a0, a1<br> [0x80000c40]:sd a0, 824(ra)<br>  |
| 105|[0x80008350]<br>0x0000000000000200|- rs2_val == -137438953473<br>                                                                                                                                                           |[0x80000c54]:c.and a0, a1<br> [0x80000c56]:sd a0, 832(ra)<br>  |
| 106|[0x80008358]<br>0x0000000000008000|- rs2_val == -274877906945<br> - rs1_val == 32768<br>                                                                                                                                    |[0x80000c6a]:c.and a0, a1<br> [0x80000c6c]:sd a0, 840(ra)<br>  |
| 107|[0x80008360]<br>0x5555555555555555|- rs2_val == -549755813889<br> - rs1_val == 6148914691236517205<br>                                                                                                                      |[0x80000c9c]:c.and a0, a1<br> [0x80000c9e]:sd a0, 848(ra)<br>  |
| 108|[0x80008368]<br>0x3333323333333332|- rs2_val == -1099511627777<br>                                                                                                                                                          |[0x80000cce]:c.and a0, a1<br> [0x80000cd0]:sd a0, 856(ra)<br>  |
| 109|[0x80008378]<br>0x0000000000002000|- rs2_val == -4398046511105<br> - rs1_val == 8192<br>                                                                                                                                    |[0x80000cfe]:c.and a0, a1<br> [0x80000d00]:sd a0, 872(ra)<br>  |
| 110|[0x80008380]<br>0xFFFFF7FFFFEFFFFF|- rs2_val == -8796093022209<br> - rs1_val == -1048577<br>                                                                                                                                |[0x80000d18]:c.and a0, a1<br> [0x80000d1a]:sd a0, 880(ra)<br>  |
| 111|[0x80008388]<br>0x0000000000000006|- rs2_val == -17592186044417<br>                                                                                                                                                         |[0x80000d2e]:c.and a0, a1<br> [0x80000d30]:sd a0, 888(ra)<br>  |
| 112|[0x80008390]<br>0x0000020000000000|- rs2_val == -35184372088833<br>                                                                                                                                                         |[0x80000d48]:c.and a0, a1<br> [0x80000d4a]:sd a0, 896(ra)<br>  |
| 113|[0x80008398]<br>0xFFFFBFBFFFFFFFFF|- rs2_val == -70368744177665<br> - rs1_val == -274877906945<br>                                                                                                                          |[0x80000d66]:c.and a0, a1<br> [0x80000d68]:sd a0, 904(ra)<br>  |
| 114|[0x800083a0]<br>0x0000000000000040|- rs2_val == -140737488355329<br> - rs1_val == 64<br>                                                                                                                                    |[0x80000d7c]:c.and a0, a1<br> [0x80000d7e]:sd a0, 912(ra)<br>  |
| 115|[0x800083a8]<br>0x0000400000000000|- rs2_val == -281474976710657<br> - rs1_val == 70368744177664<br>                                                                                                                        |[0x80000d96]:c.and a0, a1<br> [0x80000d98]:sd a0, 920(ra)<br>  |
| 116|[0x800083b0]<br>0xFFFDFFFFFFFFFDFF|- rs2_val == -562949953421313<br>                                                                                                                                                        |[0x80000dac]:c.and a0, a1<br> [0x80000dae]:sd a0, 928(ra)<br>  |
| 117|[0x800083b8]<br>0x0000800000000000|- rs2_val == -1125899906842625<br> - rs1_val == 140737488355328<br>                                                                                                                      |[0x80000dc6]:c.and a0, a1<br> [0x80000dc8]:sd a0, 936(ra)<br>  |
| 118|[0x800083c0]<br>0x3333333333333334|- rs2_val == -2251799813685249<br>                                                                                                                                                       |[0x80000df8]:c.and a0, a1<br> [0x80000dfa]:sd a0, 944(ra)<br>  |
| 119|[0x800083c8]<br>0x5545555555555556|- rs2_val == -4503599627370497<br>                                                                                                                                                       |[0x80000e2a]:c.and a0, a1<br> [0x80000e2c]:sd a0, 952(ra)<br>  |
| 120|[0x800083d0]<br>0xFFDFFFF7FFFFFFFF|- rs2_val == -9007199254740993<br>                                                                                                                                                       |[0x80000e48]:c.and a0, a1<br> [0x80000e4a]:sd a0, 960(ra)<br>  |
| 121|[0x800083d8]<br>0x0000000000000004|- rs2_val == -18014398509481985<br>                                                                                                                                                      |[0x80000e5e]:c.and a0, a1<br> [0x80000e60]:sd a0, 968(ra)<br>  |
| 122|[0x800083e0]<br>0xFF7FBFFFFFFFFFFF|- rs2_val == -36028797018963969<br> - rs1_val == -70368744177665<br>                                                                                                                     |[0x80000e7c]:c.and a0, a1<br> [0x80000e7e]:sd a0, 976(ra)<br>  |
| 123|[0x800083e8]<br>0x0080000000000000|- rs2_val == -72057594037927937<br> - rs1_val == 36028797018963968<br>                                                                                                                   |[0x80000e96]:c.and a0, a1<br> [0x80000e98]:sd a0, 984(ra)<br>  |
| 124|[0x800083f0]<br>0xFDFFFFFFFFFFFFFF|- rs2_val == -144115188075855873<br>                                                                                                                                                     |[0x80000eb4]:c.and a0, a1<br> [0x80000eb6]:sd a0, 992(ra)<br>  |
| 125|[0x800083f8]<br>0x0000000000400000|- rs2_val == -288230376151711745<br>                                                                                                                                                     |[0x80000eca]:c.and a0, a1<br> [0x80000ecc]:sd a0, 1000(ra)<br> |
| 126|[0x80008400]<br>0x0000040000000000|- rs2_val == -576460752303423489<br>                                                                                                                                                     |[0x80000ee4]:c.and a0, a1<br> [0x80000ee6]:sd a0, 1008(ra)<br> |
| 127|[0x80008408]<br>0x0000000000000400|- rs2_val == -1152921504606846977<br>                                                                                                                                                    |[0x80000efa]:c.and a0, a1<br> [0x80000efc]:sd a0, 1016(ra)<br> |
| 128|[0x80008410]<br>0x0000000200000000|- rs2_val == -2305843009213693953<br>                                                                                                                                                    |[0x80000f14]:c.and a0, a1<br> [0x80000f16]:sd a0, 1024(ra)<br> |
| 129|[0x80008418]<br>0xBFFFFFFFFFFFFFFC|- rs2_val == -4611686018427387905<br>                                                                                                                                                    |[0x80000f2a]:c.and a0, a1<br> [0x80000f2c]:sd a0, 1032(ra)<br> |
| 130|[0x80008420]<br>0x5555555515555555|- rs2_val == 6148914691236517205<br> - rs1_val == -1073741825<br>                                                                                                                        |[0x80000f58]:c.and a0, a1<br> [0x80000f5a]:sd a0, 1040(ra)<br> |
| 131|[0x80008428]<br>0xAAAAA8AAAAAAAAAA|- rs2_val == -6148914691236517206<br>                                                                                                                                                    |[0x80000f8a]:c.and a0, a1<br> [0x80000f8c]:sd a0, 1048(ra)<br> |
| 132|[0x80008430]<br>0x0000000000000000|- rs1_val == 32<br>                                                                                                                                                                      |[0x80000f98]:c.and a0, a1<br> [0x80000f9a]:sd a0, 1056(ra)<br> |
| 133|[0x80008438]<br>0x0000000000000000|- rs1_val == 131072<br>                                                                                                                                                                  |[0x80000fa6]:c.and a0, a1<br> [0x80000fa8]:sd a0, 1064(ra)<br> |
| 134|[0x80008440]<br>0x0000000000000000|- rs1_val == 262144<br>                                                                                                                                                                  |[0x80000fb8]:c.and a0, a1<br> [0x80000fba]:sd a0, 1072(ra)<br> |
| 135|[0x80008448]<br>0x0000000000000000|- rs1_val == 1048576<br>                                                                                                                                                                 |[0x80000fc6]:c.and a0, a1<br> [0x80000fc8]:sd a0, 1080(ra)<br> |
| 136|[0x80008450]<br>0x0000000000000000|- rs1_val == 2097152<br>                                                                                                                                                                 |[0x80000fd4]:c.and a0, a1<br> [0x80000fd6]:sd a0, 1088(ra)<br> |
| 137|[0x80008458]<br>0x0000000001000000|- rs1_val == 16777216<br>                                                                                                                                                                |[0x80000fe6]:c.and a0, a1<br> [0x80000fe8]:sd a0, 1096(ra)<br> |
| 138|[0x80008460]<br>0x0000000002000000|- rs1_val == 33554432<br>                                                                                                                                                                |[0x80000ffc]:c.and a0, a1<br> [0x80000ffe]:sd a0, 1104(ra)<br> |
| 139|[0x80008468]<br>0x0000000000000000|- rs1_val == 134217728<br>                                                                                                                                                               |[0x8000100e]:c.and a0, a1<br> [0x80001010]:sd a0, 1112(ra)<br> |
| 140|[0x80008470]<br>0x0000000010000000|- rs1_val == 268435456<br>                                                                                                                                                               |[0x80001024]:c.and a0, a1<br> [0x80001026]:sd a0, 1120(ra)<br> |
| 141|[0x80008478]<br>0x0000000020000000|- rs1_val == 536870912<br>                                                                                                                                                               |[0x8000103e]:c.and a0, a1<br> [0x80001040]:sd a0, 1128(ra)<br> |
| 142|[0x80008480]<br>0x0000000000000000|- rs1_val == 1073741824<br>                                                                                                                                                              |[0x8000104c]:c.and a0, a1<br> [0x8000104e]:sd a0, 1136(ra)<br> |
| 143|[0x80008488]<br>0x0000000000000000|- rs2_val == 0<br> - rs1_val == 2147483648<br>                                                                                                                                           |[0x8000105e]:c.and a0, a1<br> [0x80001060]:sd a0, 1144(ra)<br> |
| 144|[0x80008490]<br>0x0000000000000000|- rs1_val == 4294967296<br>                                                                                                                                                              |[0x80001074]:c.and a0, a1<br> [0x80001076]:sd a0, 1152(ra)<br> |
| 145|[0x80008498]<br>0x0000000800000000|- rs1_val == 34359738368<br>                                                                                                                                                             |[0x8000108a]:c.and a0, a1<br> [0x8000108c]:sd a0, 1160(ra)<br> |
| 146|[0x800084a0]<br>0x0000000000000000|- rs1_val == 549755813888<br>                                                                                                                                                            |[0x8000109c]:c.and a0, a1<br> [0x8000109e]:sd a0, 1168(ra)<br> |
| 147|[0x800084a8]<br>0x0000010000000000|- rs1_val == 1099511627776<br>                                                                                                                                                           |[0x800010ae]:c.and a0, a1<br> [0x800010b0]:sd a0, 1176(ra)<br> |
| 148|[0x800084b0]<br>0x0000100000000000|- rs1_val == 17592186044416<br>                                                                                                                                                          |[0x800010c4]:c.and a0, a1<br> [0x800010c6]:sd a0, 1184(ra)<br> |
| 149|[0x800084b8]<br>0x0000000000000000|- rs1_val == 35184372088832<br>                                                                                                                                                          |[0x800010d6]:c.and a0, a1<br> [0x800010d8]:sd a0, 1192(ra)<br> |
| 150|[0x800084c0]<br>0x0001000000000000|- rs1_val == 281474976710656<br>                                                                                                                                                         |[0x800010e8]:c.and a0, a1<br> [0x800010ea]:sd a0, 1200(ra)<br> |
| 151|[0x800084c8]<br>0x0000000000000000|- rs1_val == 562949953421312<br>                                                                                                                                                         |[0x800010fe]:c.and a0, a1<br> [0x80001100]:sd a0, 1208(ra)<br> |
| 152|[0x800084d0]<br>0x0004000000000000|- rs1_val == 1125899906842624<br>                                                                                                                                                        |[0x80001118]:c.and a0, a1<br> [0x8000111a]:sd a0, 1216(ra)<br> |
| 153|[0x800084d8]<br>0x0008000000000000|- rs1_val == 2251799813685248<br>                                                                                                                                                        |[0x80001132]:c.and a0, a1<br> [0x80001134]:sd a0, 1224(ra)<br> |
| 154|[0x800084e0]<br>0x0000000000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                        |[0x80001150]:c.and a0, a1<br> [0x80001152]:sd a0, 1232(ra)<br> |
| 155|[0x800084e8]<br>0x0020000000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                        |[0x8000116a]:c.and a0, a1<br> [0x8000116c]:sd a0, 1240(ra)<br> |
| 156|[0x800084f0]<br>0x0000000000000000|- rs1_val == 288230376151711744<br>                                                                                                                                                      |[0x80001180]:c.and a0, a1<br> [0x80001182]:sd a0, 1248(ra)<br> |
| 157|[0x800084f8]<br>0x0000000000000000|- rs1_val == 1152921504606846976<br>                                                                                                                                                     |[0x80001196]:c.and a0, a1<br> [0x80001198]:sd a0, 1256(ra)<br> |
| 158|[0x80008500]<br>0x0000000000000004|- rs1_val == -2<br>                                                                                                                                                                      |[0x800011a4]:c.and a0, a1<br> [0x800011a6]:sd a0, 1264(ra)<br> |
| 159|[0x80008508]<br>0xFFFFFFFF4AFB0CCA|- rs1_val == -5<br>                                                                                                                                                                      |[0x800011be]:c.and a0, a1<br> [0x800011c0]:sd a0, 1272(ra)<br> |
| 160|[0x80008510]<br>0xFFFFFFFFFFFFFFD7|- rs1_val == -9<br>                                                                                                                                                                      |[0x800011cc]:c.and a0, a1<br> [0x800011ce]:sd a0, 1280(ra)<br> |
| 161|[0x80008518]<br>0x00000000B504F323|- rs1_val == -17<br>                                                                                                                                                                     |[0x800011e6]:c.and a0, a1<br> [0x800011e8]:sd a0, 1288(ra)<br> |
| 162|[0x80008520]<br>0xFFFFFFFFFF7FFF7F|- rs1_val == -129<br>                                                                                                                                                                    |[0x800011f8]:c.and a0, a1<br> [0x800011fa]:sd a0, 1296(ra)<br> |
| 163|[0x80008528]<br>0x6666666666666667|- rs1_val == -2049<br>                                                                                                                                                                   |[0x80001226]:c.and a0, a1<br> [0x80001228]:sd a0, 1304(ra)<br> |
| 164|[0x80008530]<br>0x0000000000040000|- rs1_val == -16385<br>                                                                                                                                                                  |[0x80001238]:c.and a0, a1<br> [0x8000123a]:sd a0, 1312(ra)<br> |
| 165|[0x80008538]<br>0xFFFFFFFFFFFF7FFD|- rs1_val == -32769<br>                                                                                                                                                                  |[0x8000124a]:c.and a0, a1<br> [0x8000124c]:sd a0, 1320(ra)<br> |
| 166|[0x80008540]<br>0x3333333333313334|- rs1_val == -131073<br>                                                                                                                                                                 |[0x80001278]:c.and a0, a1<br> [0x8000127a]:sd a0, 1328(ra)<br> |
| 167|[0x80008548]<br>0xFFFFFFFFFFFBF7FF|- rs1_val == -262145<br>                                                                                                                                                                 |[0x8000128e]:c.and a0, a1<br> [0x80001290]:sd a0, 1336(ra)<br> |
| 168|[0x80008550]<br>0xFFFDFFFFFFF7FFFF|- rs1_val == -524289<br>                                                                                                                                                                 |[0x800012a8]:c.and a0, a1<br> [0x800012aa]:sd a0, 1344(ra)<br> |
| 169|[0x80008558]<br>0xFFFFFFFF4ADB0CCE|- rs1_val == -2097153<br>                                                                                                                                                                |[0x800012c6]:c.and a0, a1<br> [0x800012c8]:sd a0, 1352(ra)<br> |
| 170|[0x80008560]<br>0x0000000000400000|- rs1_val == -8388609<br>                                                                                                                                                                |[0x800012d8]:c.and a0, a1<br> [0x800012da]:sd a0, 1360(ra)<br> |
| 171|[0x80008568]<br>0xFFFFFFBFFEFFFFFF|- rs1_val == -16777217<br>                                                                                                                                                               |[0x800012f2]:c.and a0, a1<br> [0x800012f4]:sd a0, 1368(ra)<br> |
| 172|[0x80008570]<br>0xFFFFFFDFFDFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                               |[0x8000130c]:c.and a0, a1<br> [0x8000130e]:sd a0, 1376(ra)<br> |
| 173|[0x80008578]<br>0xFFFFEFFFDFFFFFFF|- rs1_val == -536870913<br>                                                                                                                                                              |[0x80001326]:c.and a0, a1<br> [0x80001328]:sd a0, 1384(ra)<br> |
| 174|[0x80008580]<br>0x0000004000000000|- rs1_val == -4294967297<br>                                                                                                                                                             |[0x80001340]:c.and a0, a1<br> [0x80001342]:sd a0, 1392(ra)<br> |
| 175|[0x80008588]<br>0xFFFFFFFBFFFEFFFF|- rs1_val == -17179869185<br>                                                                                                                                                            |[0x8000135a]:c.and a0, a1<br> [0x8000135c]:sd a0, 1400(ra)<br> |
| 176|[0x80008590]<br>0xFFDFFFDFFFFFFFFF|- rs1_val == -137438953473<br>                                                                                                                                                           |[0x80001378]:c.and a0, a1<br> [0x8000137a]:sd a0, 1408(ra)<br> |
| 177|[0x80008598]<br>0xFFFFFF7FFFEFFFFF|- rs1_val == -549755813889<br>                                                                                                                                                           |[0x80001392]:c.and a0, a1<br> [0x80001394]:sd a0, 1416(ra)<br> |
| 178|[0x800085a0]<br>0x00000000B504F333|- rs1_val == -1099511627777<br>                                                                                                                                                          |[0x800013b4]:c.and a0, a1<br> [0x800013b6]:sd a0, 1424(ra)<br> |
| 179|[0x800085a8]<br>0xFFFFEFFFFFFFFFFF|- rs1_val == -17592186044417<br>                                                                                                                                                         |[0x800013d2]:c.and a0, a1<br> [0x800013d4]:sd a0, 1432(ra)<br> |
| 180|[0x800085b0]<br>0x0000000000004000|- rs1_val == -35184372088833<br>                                                                                                                                                         |[0x800013e8]:c.and a0, a1<br> [0x800013ea]:sd a0, 1440(ra)<br> |
| 181|[0x800085b8]<br>0xF7FF7FFFFFFFFFFF|- rs1_val == -140737488355329<br>                                                                                                                                                        |[0x80001406]:c.and a0, a1<br> [0x80001408]:sd a0, 1448(ra)<br> |
| 182|[0x800085c0]<br>0xFFEEFFFFFFFFFFFF|- rs1_val == -281474976710657<br>                                                                                                                                                        |[0x80001424]:c.and a0, a1<br> [0x80001426]:sd a0, 1456(ra)<br> |
| 183|[0x800085c8]<br>0x0000080000000000|- rs1_val == -2251799813685249<br>                                                                                                                                                       |[0x8000143e]:c.and a0, a1<br> [0x80001440]:sd a0, 1464(ra)<br> |
| 184|[0x800085d0]<br>0xFFDFFFFFFFFFDFFF|- rs1_val == -9007199254740993<br>                                                                                                                                                       |[0x80001458]:c.and a0, a1<br> [0x8000145a]:sd a0, 1472(ra)<br> |
| 185|[0x800085d8]<br>0xFF7FFFFFFFFF7FFF|- rs1_val == -36028797018963969<br>                                                                                                                                                      |[0x80001472]:c.and a0, a1<br> [0x80001474]:sd a0, 1480(ra)<br> |
| 186|[0x800085e0]<br>0x0000000004000000|- rs1_val == -576460752303423489<br>                                                                                                                                                     |[0x80001488]:c.and a0, a1<br> [0x8000148a]:sd a0, 1488(ra)<br> |
| 187|[0x800085e8]<br>0x0000000000000004|- rs1_val == -4611686018427387905<br>                                                                                                                                                    |[0x8000149e]:c.and a0, a1<br> [0x800014a0]:sd a0, 1496(ra)<br> |
| 188|[0x800085f0]<br>0x0000000000000002|- rs1_val == -6148914691236517206<br> - rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                 |[0x800014c8]:c.and a0, a1<br> [0x800014ca]:sd a0, 1504(ra)<br> |
| 189|[0x800085f8]<br>0x0000000000000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                          |[0x800014d6]:c.and a0, a1<br> [0x800014d8]:sd a0, 1512(ra)<br> |
| 190|[0x80008600]<br>0x0000000000000001|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x80001500]:c.and a0, a1<br> [0x80001502]:sd a0, 1520(ra)<br> |
| 191|[0x80008608]<br>0x0000000000000002|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x8000152a]:c.and a0, a1<br> [0x8000152c]:sd a0, 1528(ra)<br> |
| 192|[0x80008610]<br>0x0000000000000001|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                          |[0x80001538]:c.and a0, a1<br> [0x8000153a]:sd a0, 1536(ra)<br> |
| 193|[0x80008618]<br>0x0000000000000003|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x80001562]:c.and a0, a1<br> [0x80001564]:sd a0, 1544(ra)<br> |
| 194|[0x80008620]<br>0x0000000000000002|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x8000158c]:c.and a0, a1<br> [0x8000158e]:sd a0, 1552(ra)<br> |
| 195|[0x80008628]<br>0x0000000000000001|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                |[0x800015a6]:c.and a0, a1<br> [0x800015a8]:sd a0, 1560(ra)<br> |
| 196|[0x80008630]<br>0x0000000000000003|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                 |[0x800015c0]:c.and a0, a1<br> [0x800015c2]:sd a0, 1568(ra)<br> |
| 197|[0x80008638]<br>0x0000000000000002|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                          |[0x800015ce]:c.and a0, a1<br> [0x800015d0]:sd a0, 1576(ra)<br> |
| 198|[0x80008640]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x800015f8]:c.and a0, a1<br> [0x800015fa]:sd a0, 1584(ra)<br> |
| 199|[0x80008648]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                          |[0x80001606]:c.and a0, a1<br> [0x80001608]:sd a0, 1592(ra)<br> |
| 200|[0x80008650]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                          |[0x80001614]:c.and a0, a1<br> [0x80001616]:sd a0, 1600(ra)<br> |
| 201|[0x80008658]<br>0x0000000000000002|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x8000163e]:c.and a0, a1<br> [0x80001640]:sd a0, 1608(ra)<br> |
| 202|[0x80008660]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80001668]:c.and a0, a1<br> [0x8000166a]:sd a0, 1616(ra)<br> |
| 203|[0x80008668]<br>0x0000000000000002|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                 |[0x80001682]:c.and a0, a1<br> [0x80001684]:sd a0, 1624(ra)<br> |
| 204|[0x80008670]<br>0x0000000000000002|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x800016ac]:c.and a0, a1<br> [0x800016ae]:sd a0, 1632(ra)<br> |
| 205|[0x80008678]<br>0x0000000000000003|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x800016d6]:c.and a0, a1<br> [0x800016d8]:sd a0, 1640(ra)<br> |
| 206|[0x80008680]<br>0x0000000000000002|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                          |[0x800016e4]:c.and a0, a1<br> [0x800016e6]:sd a0, 1648(ra)<br> |
| 207|[0x80008688]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x8000170e]:c.and a0, a1<br> [0x80001710]:sd a0, 1656(ra)<br> |
| 208|[0x80008690]<br>0x0000000000000003|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x80001738]:c.and a0, a1<br> [0x8000173a]:sd a0, 1664(ra)<br> |
| 209|[0x80008698]<br>0x0000000000000002|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80001752]:c.and a0, a1<br> [0x80001754]:sd a0, 1672(ra)<br> |
| 210|[0x800086a0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                 |[0x8000176c]:c.and a0, a1<br> [0x8000176e]:sd a0, 1680(ra)<br> |
| 211|[0x800086a8]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                        |[0x80001796]:c.and a0, a1<br> [0x80001798]:sd a0, 1688(ra)<br> |
| 212|[0x800086b0]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x800017dc]:c.and a0, a1<br> [0x800017de]:sd a0, 1696(ra)<br> |
| 213|[0x800086b8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x80001822]:c.and a0, a1<br> [0x80001824]:sd a0, 1704(ra)<br> |
| 214|[0x800086c0]<br>0x0000000000000005|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                        |[0x8000184c]:c.and a0, a1<br> [0x8000184e]:sd a0, 1712(ra)<br> |
| 215|[0x800086c8]<br>0x1111111111111111|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x80001892]:c.and a0, a1<br> [0x80001894]:sd a0, 1720(ra)<br> |
| 216|[0x800086d0]<br>0x4444444444444444|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x800018d8]:c.and a0, a1<br> [0x800018da]:sd a0, 1728(ra)<br> |
| 217|[0x800086d8]<br>0x5555555540510445|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                              |[0x8000190e]:c.and a0, a1<br> [0x80001910]:sd a0, 1736(ra)<br> |
| 218|[0x800086e0]<br>0x0000000015045111|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                               |[0x80001944]:c.and a0, a1<br> [0x80001946]:sd a0, 1744(ra)<br> |
| 219|[0x800086e8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                        |[0x8000196e]:c.and a0, a1<br> [0x80001970]:sd a0, 1752(ra)<br> |
| 220|[0x800086f0]<br>0x5555555555555554|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x800019b4]:c.and a0, a1<br> [0x800019b6]:sd a0, 1760(ra)<br> |
| 221|[0x800086f8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                        |[0x800019de]:c.and a0, a1<br> [0x800019e0]:sd a0, 1768(ra)<br> |
| 222|[0x80008700]<br>0x0000000000000004|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                        |[0x80001a08]:c.and a0, a1<br> [0x80001a0a]:sd a0, 1776(ra)<br> |
| 223|[0x80008708]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x80001a4e]:c.and a0, a1<br> [0x80001a50]:sd a0, 1784(ra)<br> |
| 224|[0x80008710]<br>0x4444444444444445|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x80001a94]:c.and a0, a1<br> [0x80001a96]:sd a0, 1792(ra)<br> |
| 225|[0x80008718]<br>0x0000000015045110|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                               |[0x80001aca]:c.and a0, a1<br> [0x80001acc]:sd a0, 1800(ra)<br> |
| 226|[0x80008720]<br>0x5555555555555554|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x80001b10]:c.and a0, a1<br> [0x80001b12]:sd a0, 1808(ra)<br> |
| 227|[0x80008728]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80001b56]:c.and a0, a1<br> [0x80001b58]:sd a0, 1816(ra)<br> |
| 228|[0x80008730]<br>0x0000000000000004|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                        |[0x80001b80]:c.and a0, a1<br> [0x80001b82]:sd a0, 1824(ra)<br> |
| 229|[0x80008738]<br>0x1111111111111114|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x80001bc6]:c.and a0, a1<br> [0x80001bc8]:sd a0, 1832(ra)<br> |
| 230|[0x80008740]<br>0x4444444444444445|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x80001c0c]:c.and a0, a1<br> [0x80001c0e]:sd a0, 1840(ra)<br> |
| 231|[0x80008748]<br>0x5555555540510444|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                              |[0x80001c42]:c.and a0, a1<br> [0x80001c44]:sd a0, 1848(ra)<br> |
| 232|[0x80008750]<br>0x0000000015045114|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                               |[0x80001c78]:c.and a0, a1<br> [0x80001c7a]:sd a0, 1856(ra)<br> |
| 233|[0x80008758]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                     |[0x80001cbe]:c.and a0, a1<br> [0x80001cc0]:sd a0, 1864(ra)<br> |
| 234|[0x80008760]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                    |[0x80001d04]:c.and a0, a1<br> [0x80001d06]:sd a0, 1872(ra)<br> |
| 235|[0x80008768]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                       |[0x80001d2e]:c.and a0, a1<br> [0x80001d30]:sd a0, 1880(ra)<br> |
| 236|[0x80008770]<br>0x2222222222222222|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                     |[0x80001d74]:c.and a0, a1<br> [0x80001d76]:sd a0, 1888(ra)<br> |
| 237|[0x80008778]<br>0x2222222222222222|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                     |[0x80001dba]:c.and a0, a1<br> [0x80001dbc]:sd a0, 1896(ra)<br> |
| 238|[0x80008780]<br>0xAAAAAAAA0AAA0888|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                             |[0x80001df0]:c.and a0, a1<br> [0x80001df2]:sd a0, 1904(ra)<br> |
| 239|[0x80008788]<br>0x00000000A000A222|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                              |[0x80001e26]:c.and a0, a1<br> [0x80001e28]:sd a0, 1912(ra)<br> |
| 240|[0x80008790]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                       |[0x80001e50]:c.and a0, a1<br> [0x80001e52]:sd a0, 1920(ra)<br> |
| 241|[0x80008798]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                     |[0x80001e96]:c.and a0, a1<br> [0x80001e98]:sd a0, 1928(ra)<br> |
| 242|[0x800087a0]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                       |[0x80001ec0]:c.and a0, a1<br> [0x80001ec2]:sd a0, 1936(ra)<br> |
| 243|[0x800087a8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                       |[0x80001eea]:c.and a0, a1<br> [0x80001eec]:sd a0, 1944(ra)<br> |
| 244|[0x800087b0]<br>0x2222222222222222|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                     |[0x80001f30]:c.and a0, a1<br> [0x80001f32]:sd a0, 1952(ra)<br> |
| 245|[0x800087b8]<br>0x2222222222222220|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                     |[0x80001f76]:c.and a0, a1<br> [0x80001f78]:sd a0, 1960(ra)<br> |
| 246|[0x800087c0]<br>0x00000000A000A222|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                              |[0x80001fac]:c.and a0, a1<br> [0x80001fae]:sd a0, 1968(ra)<br> |
| 247|[0x800087c8]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                     |[0x80001ff2]:c.and a0, a1<br> [0x80001ff4]:sd a0, 1976(ra)<br> |
| 248|[0x800087d0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                    |[0x80002038]:c.and a0, a1<br> [0x8000203a]:sd a0, 1984(ra)<br> |
| 249|[0x800087d8]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                       |[0x80002062]:c.and a0, a1<br> [0x80002064]:sd a0, 1992(ra)<br> |
| 250|[0x800087e0]<br>0x2222222222222220|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                     |[0x800020a8]:c.and a0, a1<br> [0x800020aa]:sd a0, 2000(ra)<br> |
| 251|[0x800087e8]<br>0x2222222222222222|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                     |[0x800020ee]:c.and a0, a1<br> [0x800020f0]:sd a0, 2008(ra)<br> |
| 252|[0x800087f0]<br>0xAAAAAAAA0AAA088A|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                             |[0x80002124]:c.and a0, a1<br> [0x80002126]:sd a0, 2016(ra)<br> |
| 253|[0x800087f8]<br>0x00000000A000A220|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                              |[0x8000215a]:c.and a0, a1<br> [0x8000215c]:sd a0, 2024(ra)<br> |
| 254|[0x80008800]<br>0x0000000000000001|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                          |[0x80002168]:c.and a0, a1<br> [0x8000216a]:sd a0, 2032(ra)<br> |
| 255|[0x80008808]<br>0x0000000000000005|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x80002192]:c.and a0, a1<br> [0x80002194]:sd a0, 2040(ra)<br> |
| 256|[0x80008810]<br>0x0000000000000000|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x800021c4]:c.and a0, a1<br> [0x800021c6]:sd a0, 0(ra)<br>    |
| 257|[0x80008818]<br>0x0000000000000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                          |[0x800021d2]:c.and a0, a1<br> [0x800021d4]:sd a0, 8(ra)<br>    |
| 258|[0x80008820]<br>0x0000000000000001|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x800021fc]:c.and a0, a1<br> [0x800021fe]:sd a0, 16(ra)<br>   |
| 259|[0x80008828]<br>0x0000000000000004|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x80002226]:c.and a0, a1<br> [0x80002228]:sd a0, 24(ra)<br>   |
| 260|[0x80008830]<br>0x0000000000000005|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                |[0x80002240]:c.and a0, a1<br> [0x80002242]:sd a0, 32(ra)<br>   |
| 261|[0x80008838]<br>0x0000000000000001|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                 |[0x8000225a]:c.and a0, a1<br> [0x8000225c]:sd a0, 40(ra)<br>   |
| 262|[0x80008840]<br>0x0000000000000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                          |[0x80002268]:c.and a0, a1<br> [0x8000226a]:sd a0, 48(ra)<br>   |
| 263|[0x80008848]<br>0x0000000000000004|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x80002292]:c.and a0, a1<br> [0x80002294]:sd a0, 56(ra)<br>   |
| 264|[0x80008850]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                          |[0x800022a0]:c.and a0, a1<br> [0x800022a2]:sd a0, 64(ra)<br>   |
| 265|[0x80008858]<br>0x0000000000000004|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                          |[0x800022ae]:c.and a0, a1<br> [0x800022b0]:sd a0, 72(ra)<br>   |
| 266|[0x80008860]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x800022d8]:c.and a0, a1<br> [0x800022da]:sd a0, 80(ra)<br>   |
| 267|[0x80008868]<br>0x0000000000000005|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80002302]:c.and a0, a1<br> [0x80002304]:sd a0, 88(ra)<br>   |
| 268|[0x80008870]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                 |[0x8000231c]:c.and a0, a1<br> [0x8000231e]:sd a0, 96(ra)<br>   |
| 269|[0x80008878]<br>0x0000000000000004|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x80002346]:c.and a0, a1<br> [0x80002348]:sd a0, 104(ra)<br>  |
| 270|[0x80008880]<br>0x0000000000000001|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x80002370]:c.and a0, a1<br> [0x80002372]:sd a0, 112(ra)<br>  |
| 271|[0x80008888]<br>0x0000000000000004|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                          |[0x8000237e]:c.and a0, a1<br> [0x80002380]:sd a0, 120(ra)<br>  |
| 272|[0x80008890]<br>0x0000000000000004|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x800023a8]:c.and a0, a1<br> [0x800023aa]:sd a0, 128(ra)<br>  |
| 273|[0x80008898]<br>0x0000000000000005|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x800023d2]:c.and a0, a1<br> [0x800023d4]:sd a0, 136(ra)<br>  |
| 274|[0x800088a0]<br>0x0000000000000004|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                |[0x800023ec]:c.and a0, a1<br> [0x800023ee]:sd a0, 144(ra)<br>  |
| 275|[0x800088a8]<br>0x0000000000000004|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                 |[0x80002406]:c.and a0, a1<br> [0x80002408]:sd a0, 152(ra)<br>  |
| 276|[0x800088b0]<br>0x0000000000000003|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                        |[0x80002430]:c.and a0, a1<br> [0x80002432]:sd a0, 160(ra)<br>  |
| 277|[0x800088b8]<br>0x1111111111111111|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x80002476]:c.and a0, a1<br> [0x80002478]:sd a0, 168(ra)<br>  |
| 278|[0x800088c0]<br>0x2222222222222222|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x800024bc]:c.and a0, a1<br> [0x800024be]:sd a0, 176(ra)<br>  |
| 279|[0x800088c8]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                        |[0x800024e6]:c.and a0, a1<br> [0x800024e8]:sd a0, 184(ra)<br>  |
| 280|[0x800088d0]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x8000252c]:c.and a0, a1<br> [0x8000252e]:sd a0, 192(ra)<br>  |
| 281|[0x800088d8]<br>0x2222222222222222|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x80002572]:c.and a0, a1<br> [0x80002574]:sd a0, 200(ra)<br>  |
| 282|[0x800088e0]<br>0x3333333302330001|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                              |[0x800025a8]:c.and a0, a1<br> [0x800025aa]:sd a0, 208(ra)<br>  |
| 283|[0x800088e8]<br>0x0000000031003333|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                               |[0x800025de]:c.and a0, a1<br> [0x800025e0]:sd a0, 216(ra)<br>  |
| 284|[0x800088f0]<br>0x0000000000000002|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                        |[0x80002608]:c.and a0, a1<br> [0x8000260a]:sd a0, 224(ra)<br>  |
| 285|[0x800088f8]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x8000264e]:c.and a0, a1<br> [0x80002650]:sd a0, 232(ra)<br>  |
| 286|[0x80008900]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                        |[0x80002678]:c.and a0, a1<br> [0x8000267a]:sd a0, 240(ra)<br>  |
| 287|[0x80008908]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                        |[0x800026a2]:c.and a0, a1<br> [0x800026a4]:sd a0, 248(ra)<br>  |
| 288|[0x80008910]<br>0x3333333333333332|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x800026e8]:c.and a0, a1<br> [0x800026ea]:sd a0, 256(ra)<br>  |
| 289|[0x80008918]<br>0x2222222222222221|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x8000272e]:c.and a0, a1<br> [0x80002730]:sd a0, 264(ra)<br>  |
| 290|[0x80008920]<br>0x0000000031003332|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                               |[0x80002764]:c.and a0, a1<br> [0x80002766]:sd a0, 272(ra)<br>  |
| 291|[0x80008928]<br>0x1111111111111112|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x800027aa]:c.and a0, a1<br> [0x800027ac]:sd a0, 280(ra)<br>  |
| 292|[0x80008930]<br>0x2222222222222223|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x800027f0]:c.and a0, a1<br> [0x800027f2]:sd a0, 288(ra)<br>  |
| 293|[0x80008938]<br>0x0000000000000002|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                        |[0x8000281a]:c.and a0, a1<br> [0x8000281c]:sd a0, 296(ra)<br>  |
| 294|[0x80008940]<br>0x3333333333333330|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x80002860]:c.and a0, a1<br> [0x80002862]:sd a0, 304(ra)<br>  |
| 295|[0x80008948]<br>0x2222222222222223|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x800028a6]:c.and a0, a1<br> [0x800028a8]:sd a0, 312(ra)<br>  |
| 296|[0x80008950]<br>0x3333333302330002|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                              |[0x800028dc]:c.and a0, a1<br> [0x800028de]:sd a0, 320(ra)<br>  |
| 297|[0x80008958]<br>0x0000000031003330|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                               |[0x80002912]:c.and a0, a1<br> [0x80002914]:sd a0, 328(ra)<br>  |
| 298|[0x80008960]<br>0x0000000000000002|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                        |[0x8000293c]:c.and a0, a1<br> [0x8000293e]:sd a0, 336(ra)<br>  |
| 299|[0x80008968]<br>0x4444444444444444|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x80002982]:c.and a0, a1<br> [0x80002984]:sd a0, 344(ra)<br>  |
| 300|[0x80008970]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x800029c8]:c.and a0, a1<br> [0x800029ca]:sd a0, 352(ra)<br>  |
| 301|[0x80008978]<br>0x0000000000000004|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                        |[0x800029f2]:c.and a0, a1<br> [0x800029f4]:sd a0, 360(ra)<br>  |
| 302|[0x80008980]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x80002a38]:c.and a0, a1<br> [0x80002a3a]:sd a0, 368(ra)<br>  |
| 303|[0x80008988]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x80002a7e]:c.and a0, a1<br> [0x80002a80]:sd a0, 376(ra)<br>  |
| 304|[0x80008990]<br>0x6666666642620444|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                              |[0x80002ab4]:c.and a0, a1<br> [0x80002ab6]:sd a0, 384(ra)<br>  |
| 305|[0x80008998]<br>0x0000000024046222|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                               |[0x80002aea]:c.and a0, a1<br> [0x80002aec]:sd a0, 392(ra)<br>  |
| 306|[0x800089a0]<br>0x0000000000000002|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                        |[0x80002b14]:c.and a0, a1<br> [0x80002b16]:sd a0, 400(ra)<br>  |
| 307|[0x800089a8]<br>0x4444444444444444|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x80002b5a]:c.and a0, a1<br> [0x80002b5c]:sd a0, 408(ra)<br>  |
| 308|[0x800089b0]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                        |[0x80002b84]:c.and a0, a1<br> [0x80002b86]:sd a0, 416(ra)<br>  |
| 309|[0x800089b8]<br>0x0000000000000004|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                        |[0x80002bae]:c.and a0, a1<br> [0x80002bb0]:sd a0, 424(ra)<br>  |
| 310|[0x800089c0]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x80002bf4]:c.and a0, a1<br> [0x80002bf6]:sd a0, 432(ra)<br>  |
| 311|[0x800089c8]<br>0x6666666666666664|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x80002c3a]:c.and a0, a1<br> [0x80002c3c]:sd a0, 440(ra)<br>  |
| 312|[0x800089d0]<br>0x0000000024046222|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                               |[0x80002c70]:c.and a0, a1<br> [0x80002c72]:sd a0, 448(ra)<br>  |
| 313|[0x800089d8]<br>0x4444444444444446|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x80002cb6]:c.and a0, a1<br> [0x80002cb8]:sd a0, 456(ra)<br>  |
| 314|[0x800089e0]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80002cfc]:c.and a0, a1<br> [0x80002cfe]:sd a0, 464(ra)<br>  |
| 315|[0x800089e8]<br>0x0000000000000006|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                        |[0x80002d26]:c.and a0, a1<br> [0x80002d28]:sd a0, 472(ra)<br>  |
| 316|[0x800089f0]<br>0x2222222222222224|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x80002d6c]:c.and a0, a1<br> [0x80002d6e]:sd a0, 480(ra)<br>  |
| 317|[0x800089f8]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x80002db2]:c.and a0, a1<br> [0x80002db4]:sd a0, 488(ra)<br>  |
| 318|[0x80008a00]<br>0x6666666642620446|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                              |[0x80002de8]:c.and a0, a1<br> [0x80002dea]:sd a0, 496(ra)<br>  |
| 319|[0x80008a08]<br>0x0000000024046224|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                               |[0x80002e1e]:c.and a0, a1<br> [0x80002e20]:sd a0, 504(ra)<br>  |
| 320|[0x80008a10]<br>0x0000000000000001|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                |[0x80002e38]:c.and a0, a1<br> [0x80002e3a]:sd a0, 512(ra)<br>  |
| 321|[0x80008a18]<br>0x5555555540510445|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                              |[0x80002e6e]:c.and a0, a1<br> [0x80002e70]:sd a0, 520(ra)<br>  |
| 322|[0x80008a20]<br>0xAAAAAAAA0AAA0888|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                             |[0x80002ea4]:c.and a0, a1<br> [0x80002ea6]:sd a0, 528(ra)<br>  |
| 323|[0x80008a28]<br>0x0000000000000005|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                |[0x80002ebe]:c.and a0, a1<br> [0x80002ec0]:sd a0, 536(ra)<br>  |
| 324|[0x80008a30]<br>0x3333333302330001|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                              |[0x80002ef4]:c.and a0, a1<br> [0x80002ef6]:sd a0, 544(ra)<br>  |
| 325|[0x80008a38]<br>0x6666666642620444|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                              |[0x80002f2a]:c.and a0, a1<br> [0x80002f2c]:sd a0, 552(ra)<br>  |
| 326|[0x80008a40]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                      |[0x80002f50]:c.and a0, a1<br> [0x80002f52]:sd a0, 560(ra)<br>  |
| 327|[0x80008a48]<br>0x0000000000000001|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                       |[0x80002f76]:c.and a0, a1<br> [0x80002f78]:sd a0, 568(ra)<br>  |
| 328|[0x80008a50]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                |[0x80002f90]:c.and a0, a1<br> [0x80002f92]:sd a0, 576(ra)<br>  |
| 329|[0x80008a58]<br>0x5555555540510444|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                              |[0x80002fc6]:c.and a0, a1<br> [0x80002fc8]:sd a0, 584(ra)<br>  |
| 330|[0x80008a60]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                |[0x80002fe0]:c.and a0, a1<br> [0x80002fe2]:sd a0, 592(ra)<br>  |
| 331|[0x80008a68]<br>0x0000000000000004|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                |[0x80002ffa]:c.and a0, a1<br> [0x80002ffc]:sd a0, 600(ra)<br>  |
| 332|[0x80008a70]<br>0x3333333302330000|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                              |[0x80003030]:c.and a0, a1<br> [0x80003032]:sd a0, 608(ra)<br>  |
| 333|[0x80008a78]<br>0x6666666642620445|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                              |[0x80003066]:c.and a0, a1<br> [0x80003068]:sd a0, 616(ra)<br>  |
| 334|[0x80008a80]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                       |[0x8000308c]:c.and a0, a1<br> [0x8000308e]:sd a0, 624(ra)<br>  |
| 335|[0x80008a88]<br>0x5555555540510444|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                              |[0x800030c2]:c.and a0, a1<br> [0x800030c4]:sd a0, 632(ra)<br>  |
| 336|[0x80008a90]<br>0xAAAAAAAA0AAA0889|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                             |[0x800030f8]:c.and a0, a1<br> [0x800030fa]:sd a0, 640(ra)<br>  |
| 337|[0x80008a98]<br>0x0000000000000004|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                |[0x80003112]:c.and a0, a1<br> [0x80003114]:sd a0, 648(ra)<br>  |
| 338|[0x80008aa0]<br>0x3333333302330004|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                              |[0x80003148]:c.and a0, a1<br> [0x8000314a]:sd a0, 656(ra)<br>  |
| 339|[0x80008aa8]<br>0x6666666642620445|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                              |[0x8000317e]:c.and a0, a1<br> [0x80003180]:sd a0, 664(ra)<br>  |
| 340|[0x80008ab0]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                      |[0x800031a4]:c.and a0, a1<br> [0x800031a6]:sd a0, 672(ra)<br>  |
| 341|[0x80008ab8]<br>0x0000000000000004|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                       |[0x800031ca]:c.and a0, a1<br> [0x800031cc]:sd a0, 680(ra)<br>  |
| 342|[0x80008ac0]<br>0x0000000000000003|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                 |[0x800031e4]:c.and a0, a1<br> [0x800031e6]:sd a0, 688(ra)<br>  |
| 343|[0x80008ac8]<br>0x0000000015045111|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                               |[0x8000321a]:c.and a0, a1<br> [0x8000321c]:sd a0, 696(ra)<br>  |
| 344|[0x80008ad0]<br>0x00000000A000A222|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                              |[0x80003250]:c.and a0, a1<br> [0x80003252]:sd a0, 704(ra)<br>  |
| 345|[0x80008ad8]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                 |[0x8000326a]:c.and a0, a1<br> [0x8000326c]:sd a0, 712(ra)<br>  |
| 346|[0x80008ae0]<br>0x0000000031003333|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                               |[0x800032a0]:c.and a0, a1<br> [0x800032a2]:sd a0, 720(ra)<br>  |
| 347|[0x80008ae8]<br>0x0000000024046222|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                               |[0x800032d6]:c.and a0, a1<br> [0x800032d8]:sd a0, 728(ra)<br>  |
| 348|[0x80008af0]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                       |[0x800032fc]:c.and a0, a1<br> [0x800032fe]:sd a0, 736(ra)<br>  |
| 349|[0x80008af8]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                        |[0x80003322]:c.and a0, a1<br> [0x80003324]:sd a0, 744(ra)<br>  |
| 350|[0x80008b00]<br>0x0000000000000002|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                 |[0x8000333c]:c.and a0, a1<br> [0x8000333e]:sd a0, 752(ra)<br>  |
| 351|[0x80008b08]<br>0x0000000015045110|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                               |[0x80003372]:c.and a0, a1<br> [0x80003374]:sd a0, 760(ra)<br>  |
| 352|[0x80008b10]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                 |[0x8000338c]:c.and a0, a1<br> [0x8000338e]:sd a0, 768(ra)<br>  |
| 353|[0x80008b18]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                 |[0x800033a6]:c.and a0, a1<br> [0x800033a8]:sd a0, 776(ra)<br>  |
| 354|[0x80008b20]<br>0x0000000031003332|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                               |[0x800033dc]:c.and a0, a1<br> [0x800033de]:sd a0, 784(ra)<br>  |
| 355|[0x80008b28]<br>0x0000000024046221|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                               |[0x80003412]:c.and a0, a1<br> [0x80003414]:sd a0, 792(ra)<br>  |
| 356|[0x80008b30]<br>0x00000000B504F332|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                        |[0x80003438]:c.and a0, a1<br> [0x8000343a]:sd a0, 800(ra)<br>  |
| 357|[0x80008b38]<br>0x0000000015045112|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                               |[0x8000346e]:c.and a0, a1<br> [0x80003470]:sd a0, 808(ra)<br>  |
| 358|[0x80008b40]<br>0x00000000A000A223|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                              |[0x800034a4]:c.and a0, a1<br> [0x800034a6]:sd a0, 816(ra)<br>  |
| 359|[0x80008b48]<br>0x0000000000000002|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                 |[0x800034be]:c.and a0, a1<br> [0x800034c0]:sd a0, 824(ra)<br>  |
| 360|[0x80008b50]<br>0x0000000031003330|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                               |[0x800034f4]:c.and a0, a1<br> [0x800034f6]:sd a0, 832(ra)<br>  |
| 361|[0x80008b58]<br>0x0000000024046223|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                               |[0x8000352a]:c.and a0, a1<br> [0x8000352c]:sd a0, 840(ra)<br>  |
| 362|[0x80008b60]<br>0x0000000000000002|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                       |[0x80003550]:c.and a0, a1<br> [0x80003552]:sd a0, 848(ra)<br>  |
| 363|[0x80008b68]<br>0x00000000B504F330|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                        |[0x80003576]:c.and a0, a1<br> [0x80003578]:sd a0, 856(ra)<br>  |
| 364|[0x80008b70]<br>0x0000000000000002|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                          |[0x80003584]:c.and a0, a1<br> [0x80003586]:sd a0, 864(ra)<br>  |
| 365|[0x80008b78]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x800035ae]:c.and a0, a1<br> [0x800035b0]:sd a0, 872(ra)<br>  |
| 366|[0x80008b80]<br>0x0000000000000002|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x800035d8]:c.and a0, a1<br> [0x800035da]:sd a0, 880(ra)<br>  |
| 367|[0x80008b88]<br>0x0000000000000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                          |[0x800035e6]:c.and a0, a1<br> [0x800035e8]:sd a0, 888(ra)<br>  |
| 368|[0x80008b90]<br>0x0000000000000002|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x80003610]:c.and a0, a1<br> [0x80003612]:sd a0, 896(ra)<br>  |
| 369|[0x80008b98]<br>0x0000000000000002|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x8000363a]:c.and a0, a1<br> [0x8000363c]:sd a0, 904(ra)<br>  |
| 370|[0x80008ba0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                |[0x80003654]:c.and a0, a1<br> [0x80003656]:sd a0, 912(ra)<br>  |
| 371|[0x80008ba8]<br>0x0000000000000002|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                 |[0x8000366e]:c.and a0, a1<br> [0x80003670]:sd a0, 920(ra)<br>  |
| 372|[0x80008bb0]<br>0x0000000000000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                          |[0x8000367c]:c.and a0, a1<br> [0x8000367e]:sd a0, 928(ra)<br>  |
| 373|[0x80008bb8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x800036a6]:c.and a0, a1<br> [0x800036a8]:sd a0, 936(ra)<br>  |
| 374|[0x80008bc0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                          |[0x800036b4]:c.and a0, a1<br> [0x800036b6]:sd a0, 944(ra)<br>  |
| 375|[0x80008bc8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                          |[0x800036c2]:c.and a0, a1<br> [0x800036c4]:sd a0, 952(ra)<br>  |
| 376|[0x80008bd0]<br>0x0000000000000002|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x800036ec]:c.and a0, a1<br> [0x800036ee]:sd a0, 960(ra)<br>  |
| 377|[0x80008bd8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80003716]:c.and a0, a1<br> [0x80003718]:sd a0, 968(ra)<br>  |
| 378|[0x80008be0]<br>0x0000000000000002|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                 |[0x80003730]:c.and a0, a1<br> [0x80003732]:sd a0, 976(ra)<br>  |
| 379|[0x80008be8]<br>0x0000000000000002|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x8000375a]:c.and a0, a1<br> [0x8000375c]:sd a0, 984(ra)<br>  |
| 380|[0x80008bf0]<br>0x0000000000000002|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x80003784]:c.and a0, a1<br> [0x80003786]:sd a0, 992(ra)<br>  |
| 381|[0x80008bf8]<br>0x0000000000000002|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                          |[0x80003792]:c.and a0, a1<br> [0x80003794]:sd a0, 1000(ra)<br> |
| 382|[0x80008c00]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x800037bc]:c.and a0, a1<br> [0x800037be]:sd a0, 1008(ra)<br> |
| 383|[0x80008c08]<br>0x0000000000000002|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x800037e6]:c.and a0, a1<br> [0x800037e8]:sd a0, 1016(ra)<br> |
| 384|[0x80008c10]<br>0x0000000000000002|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80003800]:c.and a0, a1<br> [0x80003802]:sd a0, 1024(ra)<br> |
| 385|[0x80008c18]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                 |[0x8000381a]:c.and a0, a1<br> [0x8000381c]:sd a0, 1032(ra)<br> |
| 386|[0x80008c20]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                        |[0x80003844]:c.and a0, a1<br> [0x80003846]:sd a0, 1040(ra)<br> |
| 387|[0x80008c28]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x8000388a]:c.and a0, a1<br> [0x8000388c]:sd a0, 1048(ra)<br> |
| 388|[0x80008c30]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x800038d0]:c.and a0, a1<br> [0x800038d2]:sd a0, 1056(ra)<br> |
| 389|[0x80008c38]<br>0x0000000000000004|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                        |[0x800038fa]:c.and a0, a1<br> [0x800038fc]:sd a0, 1064(ra)<br> |
| 390|[0x80008c40]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x80003940]:c.and a0, a1<br> [0x80003942]:sd a0, 1072(ra)<br> |
| 391|[0x80008c48]<br>0x4444444444444444|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x80003986]:c.and a0, a1<br> [0x80003988]:sd a0, 1080(ra)<br> |
| 392|[0x80008c50]<br>0x5555555540510444|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                              |[0x800039bc]:c.and a0, a1<br> [0x800039be]:sd a0, 1088(ra)<br> |
| 393|[0x80008c58]<br>0x0000000015045110|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                               |[0x800039f2]:c.and a0, a1<br> [0x800039f4]:sd a0, 1096(ra)<br> |
| 394|[0x80008c60]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                        |[0x80003a1c]:c.and a0, a1<br> [0x80003a1e]:sd a0, 1104(ra)<br> |
| 395|[0x80008c68]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x80003a62]:c.and a0, a1<br> [0x80003a64]:sd a0, 1112(ra)<br> |
| 396|[0x80008c70]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                        |[0x80003a8c]:c.and a0, a1<br> [0x80003a8e]:sd a0, 1120(ra)<br> |
| 397|[0x80008c78]<br>0x0000000000000004|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                        |[0x80003ab6]:c.and a0, a1<br> [0x80003ab8]:sd a0, 1128(ra)<br> |
| 398|[0x80008c80]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x80003afc]:c.and a0, a1<br> [0x80003afe]:sd a0, 1136(ra)<br> |
| 399|[0x80008c88]<br>0x4444444444444444|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x80003b42]:c.and a0, a1<br> [0x80003b44]:sd a0, 1144(ra)<br> |
| 400|[0x80008c90]<br>0x0000000015045110|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                               |[0x80003b78]:c.and a0, a1<br> [0x80003b7a]:sd a0, 1152(ra)<br> |
| 401|[0x80008c98]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x80003bbe]:c.and a0, a1<br> [0x80003bc0]:sd a0, 1160(ra)<br> |
| 402|[0x80008ca0]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80003c04]:c.and a0, a1<br> [0x80003c06]:sd a0, 1168(ra)<br> |
| 403|[0x80008ca8]<br>0x0000000000000004|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                        |[0x80003c2e]:c.and a0, a1<br> [0x80003c30]:sd a0, 1176(ra)<br> |
| 404|[0x80008cb0]<br>0x1111111111111114|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x80003c74]:c.and a0, a1<br> [0x80003c76]:sd a0, 1184(ra)<br> |
| 405|[0x80008cb8]<br>0x4444444444444444|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x80003cba]:c.and a0, a1<br> [0x80003cbc]:sd a0, 1192(ra)<br> |
| 406|[0x80008cc0]<br>0x5555555540510444|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                              |[0x80003cf0]:c.and a0, a1<br> [0x80003cf2]:sd a0, 1200(ra)<br> |
| 407|[0x80008cc8]<br>0x0000000015045114|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                               |[0x80003d26]:c.and a0, a1<br> [0x80003d28]:sd a0, 1208(ra)<br> |
| 408|[0x80008cd0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                          |[0x80003d34]:c.and a0, a1<br> [0x80003d36]:sd a0, 1216(ra)<br> |
| 409|[0x80008cd8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x80003d5e]:c.and a0, a1<br> [0x80003d60]:sd a0, 1224(ra)<br> |
| 410|[0x80008ce0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x80003d88]:c.and a0, a1<br> [0x80003d8a]:sd a0, 1232(ra)<br> |
| 411|[0x80008ce8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                          |[0x80003d96]:c.and a0, a1<br> [0x80003d98]:sd a0, 1240(ra)<br> |
| 412|[0x80008cf0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x80003dc0]:c.and a0, a1<br> [0x80003dc2]:sd a0, 1248(ra)<br> |
| 413|[0x80008cf8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x80003dea]:c.and a0, a1<br> [0x80003dec]:sd a0, 1256(ra)<br> |
| 414|[0x80008d00]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                |[0x80003e04]:c.and a0, a1<br> [0x80003e06]:sd a0, 1264(ra)<br> |
| 415|[0x80008d08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                 |[0x80003e1e]:c.and a0, a1<br> [0x80003e20]:sd a0, 1272(ra)<br> |
| 416|[0x80008d10]<br>0x0000000000000000|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x80003e48]:c.and a0, a1<br> [0x80003e4a]:sd a0, 1280(ra)<br> |
| 417|[0x80008d18]<br>0x0000000000000004|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                          |[0x80003e56]:c.and a0, a1<br> [0x80003e58]:sd a0, 1288(ra)<br> |
| 418|[0x80008d20]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x80003e80]:c.and a0, a1<br> [0x80003e82]:sd a0, 1296(ra)<br> |
| 419|[0x80008d28]<br>0x0000000000000004|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x80003eaa]:c.and a0, a1<br> [0x80003eac]:sd a0, 1304(ra)<br> |
| 420|[0x80008d30]<br>0x0000000000000004|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                |[0x80003ec4]:c.and a0, a1<br> [0x80003ec6]:sd a0, 1312(ra)<br> |
| 421|[0x80008d38]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                 |[0x80003ede]:c.and a0, a1<br> [0x80003ee0]:sd a0, 1320(ra)<br> |
| 422|[0x80008d40]<br>0x0000000000000004|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x80003f08]:c.and a0, a1<br> [0x80003f0a]:sd a0, 1328(ra)<br> |
| 423|[0x80008d48]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                          |[0x80003f16]:c.and a0, a1<br> [0x80003f18]:sd a0, 1336(ra)<br> |
| 424|[0x80008d50]<br>0x0000000000000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                          |[0x80003f24]:c.and a0, a1<br> [0x80003f26]:sd a0, 1344(ra)<br> |
| 425|[0x80008d58]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x80003f4e]:c.and a0, a1<br> [0x80003f50]:sd a0, 1352(ra)<br> |
| 426|[0x80008d60]<br>0x0000000000000004|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80003f78]:c.and a0, a1<br> [0x80003f7a]:sd a0, 1360(ra)<br> |
| 427|[0x80008d68]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                 |[0x80003f92]:c.and a0, a1<br> [0x80003f94]:sd a0, 1368(ra)<br> |
| 428|[0x80008d70]<br>0x0000000000000004|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x80003fbc]:c.and a0, a1<br> [0x80003fbe]:sd a0, 1376(ra)<br> |
| 429|[0x80008d78]<br>0x0000000000000000|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x80003fe6]:c.and a0, a1<br> [0x80003fe8]:sd a0, 1384(ra)<br> |
| 430|[0x80008d80]<br>0x0000000000000004|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                          |[0x80003ff4]:c.and a0, a1<br> [0x80003ff6]:sd a0, 1392(ra)<br> |
| 431|[0x80008d88]<br>0x0000000000000004|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x8000401e]:c.and a0, a1<br> [0x80004020]:sd a0, 1400(ra)<br> |
| 432|[0x80008d90]<br>0x0000000000000004|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x80004048]:c.and a0, a1<br> [0x8000404a]:sd a0, 1408(ra)<br> |
| 433|[0x80008d98]<br>0x0000000000000004|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80004062]:c.and a0, a1<br> [0x80004064]:sd a0, 1416(ra)<br> |
| 434|[0x80008da0]<br>0x0000000000000004|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                 |[0x8000407c]:c.and a0, a1<br> [0x8000407e]:sd a0, 1424(ra)<br> |
| 435|[0x80008da8]<br>0x0000000000000002|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                        |[0x800040a6]:c.and a0, a1<br> [0x800040a8]:sd a0, 1432(ra)<br> |
| 436|[0x80008db0]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x800040ec]:c.and a0, a1<br> [0x800040ee]:sd a0, 1440(ra)<br> |
| 437|[0x80008db8]<br>0x2222222222222222|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x80004132]:c.and a0, a1<br> [0x80004134]:sd a0, 1448(ra)<br> |
| 438|[0x80008dc0]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                        |[0x8000415c]:c.and a0, a1<br> [0x8000415e]:sd a0, 1456(ra)<br> |
| 439|[0x80008dc8]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x800041a2]:c.and a0, a1<br> [0x800041a4]:sd a0, 1464(ra)<br> |
| 440|[0x80008dd0]<br>0x2222222222222222|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x800041e8]:c.and a0, a1<br> [0x800041ea]:sd a0, 1472(ra)<br> |
| 441|[0x80008dd8]<br>0x3333333302330000|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                              |[0x8000421e]:c.and a0, a1<br> [0x80004220]:sd a0, 1480(ra)<br> |
| 442|[0x80008de0]<br>0x0000000031003332|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                               |[0x80004254]:c.and a0, a1<br> [0x80004256]:sd a0, 1488(ra)<br> |
| 443|[0x80008de8]<br>0x0000000000000002|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                        |[0x8000427e]:c.and a0, a1<br> [0x80004280]:sd a0, 1496(ra)<br> |
| 444|[0x80008df0]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x800042c4]:c.and a0, a1<br> [0x800042c6]:sd a0, 1504(ra)<br> |
| 445|[0x80008df8]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                        |[0x800042ee]:c.and a0, a1<br> [0x800042f0]:sd a0, 1512(ra)<br> |
| 446|[0x80008e00]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                        |[0x80004318]:c.and a0, a1<br> [0x8000431a]:sd a0, 1520(ra)<br> |
| 447|[0x80008e08]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x8000435e]:c.and a0, a1<br> [0x80004360]:sd a0, 1528(ra)<br> |
| 448|[0x80008e10]<br>0x2222222222222220|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x800043a4]:c.and a0, a1<br> [0x800043a6]:sd a0, 1536(ra)<br> |
| 449|[0x80008e18]<br>0x0000000031003332|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                               |[0x800043da]:c.and a0, a1<br> [0x800043dc]:sd a0, 1544(ra)<br> |
| 450|[0x80008e20]<br>0x1111111111111112|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x80004420]:c.and a0, a1<br> [0x80004422]:sd a0, 1552(ra)<br> |
| 451|[0x80008e28]<br>0x2222222222222222|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80004466]:c.and a0, a1<br> [0x80004468]:sd a0, 1560(ra)<br> |
| 452|[0x80008e30]<br>0x0000000000000002|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                        |[0x80004490]:c.and a0, a1<br> [0x80004492]:sd a0, 1568(ra)<br> |
| 453|[0x80008e38]<br>0x3333333333333330|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x800044d6]:c.and a0, a1<br> [0x800044d8]:sd a0, 1576(ra)<br> |
| 454|[0x80008e40]<br>0x2222222222222222|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x8000451c]:c.and a0, a1<br> [0x8000451e]:sd a0, 1584(ra)<br> |
| 455|[0x80008e48]<br>0x3333333302330002|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                              |[0x80004552]:c.and a0, a1<br> [0x80004554]:sd a0, 1592(ra)<br> |
| 456|[0x80008e50]<br>0x0000000031003330|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                               |[0x80004588]:c.and a0, a1<br> [0x8000458a]:sd a0, 1600(ra)<br> |
| 457|[0x80008e58]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                        |[0x800045b2]:c.and a0, a1<br> [0x800045b4]:sd a0, 1608(ra)<br> |
| 458|[0x80008e60]<br>0x4444444444444445|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x800045f8]:c.and a0, a1<br> [0x800045fa]:sd a0, 1616(ra)<br> |
| 459|[0x80008e68]<br>0x2222222222222220|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x8000463e]:c.and a0, a1<br> [0x80004640]:sd a0, 1624(ra)<br> |
| 460|[0x80008e70]<br>0x0000000000000005|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                        |[0x80004668]:c.and a0, a1<br> [0x8000466a]:sd a0, 1632(ra)<br> |
| 461|[0x80008e78]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x800046ae]:c.and a0, a1<br> [0x800046b0]:sd a0, 1640(ra)<br> |
| 462|[0x80008e80]<br>0x6666666666666664|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x800046f4]:c.and a0, a1<br> [0x800046f6]:sd a0, 1648(ra)<br> |
| 463|[0x80008e88]<br>0x6666666642620445|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                              |[0x8000472a]:c.and a0, a1<br> [0x8000472c]:sd a0, 1656(ra)<br> |
| 464|[0x80008e90]<br>0x0000000024046221|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                               |[0x80004760]:c.and a0, a1<br> [0x80004762]:sd a0, 1664(ra)<br> |
| 465|[0x80008e98]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                        |[0x8000478a]:c.and a0, a1<br> [0x8000478c]:sd a0, 1672(ra)<br> |
| 466|[0x80008ea0]<br>0x4444444444444444|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x800047d0]:c.and a0, a1<br> [0x800047d2]:sd a0, 1680(ra)<br> |
| 467|[0x80008ea8]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                        |[0x800047fa]:c.and a0, a1<br> [0x800047fc]:sd a0, 1688(ra)<br> |
| 468|[0x80008eb0]<br>0x0000000000000004|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                        |[0x80004824]:c.and a0, a1<br> [0x80004826]:sd a0, 1696(ra)<br> |
| 469|[0x80008eb8]<br>0x2222222222222220|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x8000486a]:c.and a0, a1<br> [0x8000486c]:sd a0, 1704(ra)<br> |
| 470|[0x80008ec0]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x800048b0]:c.and a0, a1<br> [0x800048b2]:sd a0, 1712(ra)<br> |
| 471|[0x80008ec8]<br>0x0000000024046220|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                               |[0x800048e6]:c.and a0, a1<br> [0x800048e8]:sd a0, 1720(ra)<br> |
| 472|[0x80008ed0]<br>0x4444444444444444|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x8000492c]:c.and a0, a1<br> [0x8000492e]:sd a0, 1728(ra)<br> |
| 473|[0x80008ed8]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80004972]:c.and a0, a1<br> [0x80004974]:sd a0, 1736(ra)<br> |
| 474|[0x80008ee0]<br>0x0000000000000004|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                        |[0x8000499c]:c.and a0, a1<br> [0x8000499e]:sd a0, 1744(ra)<br> |
| 475|[0x80008ee8]<br>0x2222222222222224|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x800049e2]:c.and a0, a1<br> [0x800049e4]:sd a0, 1752(ra)<br> |
| 476|[0x80008ef0]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x80004a28]:c.and a0, a1<br> [0x80004a2a]:sd a0, 1760(ra)<br> |
| 477|[0x80008ef8]<br>0x6666666642620444|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                              |[0x80004a5e]:c.and a0, a1<br> [0x80004a60]:sd a0, 1768(ra)<br> |
| 478|[0x80008f00]<br>0x0000000024046224|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                               |[0x80004a94]:c.and a0, a1<br> [0x80004a96]:sd a0, 1776(ra)<br> |
| 479|[0x80008f08]<br>0x0000000000000002|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                 |[0x80004aae]:c.and a0, a1<br> [0x80004ab0]:sd a0, 1784(ra)<br> |
| 480|[0x80008f10]<br>0x0000000015045110|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                               |[0x80004ae4]:c.and a0, a1<br> [0x80004ae6]:sd a0, 1792(ra)<br> |
| 481|[0x80008f18]<br>0x00000000A000A222|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                              |[0x80004b1a]:c.and a0, a1<br> [0x80004b1c]:sd a0, 1800(ra)<br> |
| 482|[0x80008f20]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                 |[0x80004b34]:c.and a0, a1<br> [0x80004b36]:sd a0, 1808(ra)<br> |
| 483|[0x80008f28]<br>0x0000000031003332|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                               |[0x80004b6a]:c.and a0, a1<br> [0x80004b6c]:sd a0, 1816(ra)<br> |
| 484|[0x80008f30]<br>0x0000000024046222|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                               |[0x80004ba0]:c.and a0, a1<br> [0x80004ba2]:sd a0, 1824(ra)<br> |
| 485|[0x80008f38]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                       |[0x80004bc6]:c.and a0, a1<br> [0x80004bc8]:sd a0, 1832(ra)<br> |
| 486|[0x80008f40]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                        |[0x80004bec]:c.and a0, a1<br> [0x80004bee]:sd a0, 1840(ra)<br> |
| 487|[0x80008f48]<br>0x0000000000000002|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                 |[0x80004c06]:c.and a0, a1<br> [0x80004c08]:sd a0, 1848(ra)<br> |
| 488|[0x80008f50]<br>0x0000000015045110|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                               |[0x80004c3c]:c.and a0, a1<br> [0x80004c3e]:sd a0, 1856(ra)<br> |
| 489|[0x80008f58]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                 |[0x80004c56]:c.and a0, a1<br> [0x80004c58]:sd a0, 1864(ra)<br> |
| 490|[0x80008f60]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                 |[0x80004c70]:c.and a0, a1<br> [0x80004c72]:sd a0, 1872(ra)<br> |
| 491|[0x80008f68]<br>0x0000000031003332|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                               |[0x80004ca6]:c.and a0, a1<br> [0x80004ca8]:sd a0, 1880(ra)<br> |
| 492|[0x80008f70]<br>0x0000000024046220|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                               |[0x80004cdc]:c.and a0, a1<br> [0x80004cde]:sd a0, 1888(ra)<br> |
| 493|[0x80008f78]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                        |[0x80004d02]:c.and a0, a1<br> [0x80004d04]:sd a0, 1896(ra)<br> |
| 494|[0x80008f80]<br>0x0000000015045112|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                               |[0x80004d38]:c.and a0, a1<br> [0x80004d3a]:sd a0, 1904(ra)<br> |
| 495|[0x80008f88]<br>0x00000000A000A222|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                              |[0x80004d6e]:c.and a0, a1<br> [0x80004d70]:sd a0, 1912(ra)<br> |
| 496|[0x80008f90]<br>0x0000000000000002|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                 |[0x80004d88]:c.and a0, a1<br> [0x80004d8a]:sd a0, 1920(ra)<br> |
| 497|[0x80008f98]<br>0x0000000031003330|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                               |[0x80004dbe]:c.and a0, a1<br> [0x80004dc0]:sd a0, 1928(ra)<br> |
| 498|[0x80008fa0]<br>0x0000000024046222|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                               |[0x80004df4]:c.and a0, a1<br> [0x80004df6]:sd a0, 1936(ra)<br> |
| 499|[0x80008fa8]<br>0x0000000000000002|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                       |[0x80004e1a]:c.and a0, a1<br> [0x80004e1c]:sd a0, 1944(ra)<br> |
| 500|[0x80008fb0]<br>0x00000000B504F330|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                        |[0x80004e40]:c.and a0, a1<br> [0x80004e42]:sd a0, 1952(ra)<br> |
| 501|[0x80008fb8]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                        |[0x80004e6a]:c.and a0, a1<br> [0x80004e6c]:sd a0, 1960(ra)<br> |
| 502|[0x80008fc0]<br>0x5555555555555554|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x80004eb0]:c.and a0, a1<br> [0x80004eb2]:sd a0, 1968(ra)<br> |
| 503|[0x80008fc8]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x80004ef6]:c.and a0, a1<br> [0x80004ef8]:sd a0, 1976(ra)<br> |
| 504|[0x80008fd0]<br>0x0000000000000004|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                        |[0x80004f20]:c.and a0, a1<br> [0x80004f22]:sd a0, 1984(ra)<br> |
| 505|[0x80008fd8]<br>0x1111111111111112|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x80004f66]:c.and a0, a1<br> [0x80004f68]:sd a0, 1992(ra)<br> |
| 506|[0x80008fe0]<br>0x4444444444444446|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x80004fac]:c.and a0, a1<br> [0x80004fae]:sd a0, 2000(ra)<br> |
| 507|[0x80008fe8]<br>0x5555555540510444|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                              |[0x80004fe2]:c.and a0, a1<br> [0x80004fe4]:sd a0, 2008(ra)<br> |
| 508|[0x80008ff0]<br>0x0000000015045112|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                               |[0x80005018]:c.and a0, a1<br> [0x8000501a]:sd a0, 2016(ra)<br> |
| 509|[0x80008ff8]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                        |[0x80005042]:c.and a0, a1<br> [0x80005044]:sd a0, 2024(ra)<br> |
| 510|[0x80009000]<br>0x5555555555555554|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x80005088]:c.and a0, a1<br> [0x8000508a]:sd a0, 2032(ra)<br> |
| 511|[0x80009008]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                        |[0x800050b2]:c.and a0, a1<br> [0x800050b4]:sd a0, 2040(ra)<br> |
| 512|[0x80009010]<br>0x0000000000000004|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                        |[0x800050e4]:c.and a0, a1<br> [0x800050e6]:sd a0, 0(ra)<br>    |
| 513|[0x80009018]<br>0x1111111111111112|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x8000512a]:c.and a0, a1<br> [0x8000512c]:sd a0, 8(ra)<br>    |
| 514|[0x80009020]<br>0x4444444444444444|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x80005170]:c.and a0, a1<br> [0x80005172]:sd a0, 16(ra)<br>   |
| 515|[0x80009028]<br>0x0000000015045112|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                               |[0x800051a6]:c.and a0, a1<br> [0x800051a8]:sd a0, 24(ra)<br>   |
| 516|[0x80009030]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x800051ec]:c.and a0, a1<br> [0x800051ee]:sd a0, 32(ra)<br>   |
| 517|[0x80009038]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80005232]:c.and a0, a1<br> [0x80005234]:sd a0, 40(ra)<br>   |
| 518|[0x80009040]<br>0x0000000000000006|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                        |[0x8000525c]:c.and a0, a1<br> [0x8000525e]:sd a0, 48(ra)<br>   |
| 519|[0x80009048]<br>0x1111111111111114|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x800052a2]:c.and a0, a1<br> [0x800052a4]:sd a0, 56(ra)<br>   |
| 520|[0x80009050]<br>0x4444444444444446|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x800052e8]:c.and a0, a1<br> [0x800052ea]:sd a0, 64(ra)<br>   |
| 521|[0x80009058]<br>0x5555555540510446|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                              |[0x8000531e]:c.and a0, a1<br> [0x80005320]:sd a0, 72(ra)<br>   |
| 522|[0x80009060]<br>0x0000000015045114|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                               |[0x80005354]:c.and a0, a1<br> [0x80005356]:sd a0, 80(ra)<br>   |
| 523|[0x80009068]<br>0x0000000000000003|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                       |[0x8000537e]:c.and a0, a1<br> [0x80005380]:sd a0, 88(ra)<br>   |
| 524|[0x80009070]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                     |[0x800053c4]:c.and a0, a1<br> [0x800053c6]:sd a0, 96(ra)<br>   |
| 525|[0x80009078]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                    |[0x8000540a]:c.and a0, a1<br> [0x8000540c]:sd a0, 104(ra)<br>  |
| 526|[0x80009080]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                       |[0x80005434]:c.and a0, a1<br> [0x80005436]:sd a0, 112(ra)<br>  |
| 527|[0x80009088]<br>0x2222222222222223|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                     |[0x8000547a]:c.and a0, a1<br> [0x8000547c]:sd a0, 120(ra)<br>  |
| 528|[0x80009090]<br>0x2222222222222222|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                     |[0x800054c0]:c.and a0, a1<br> [0x800054c2]:sd a0, 128(ra)<br>  |
| 529|[0x80009098]<br>0xAAAAAAAA0AAA0889|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                             |[0x800054f6]:c.and a0, a1<br> [0x800054f8]:sd a0, 136(ra)<br>  |
| 530|[0x800090a0]<br>0x00000000A000A223|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                              |[0x8000552c]:c.and a0, a1<br> [0x8000552e]:sd a0, 144(ra)<br>  |
| 531|[0x800090a8]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                       |[0x80005556]:c.and a0, a1<br> [0x80005558]:sd a0, 152(ra)<br>  |
| 532|[0x800090b0]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                     |[0x8000559c]:c.and a0, a1<br> [0x8000559e]:sd a0, 160(ra)<br>  |
| 533|[0x800090b8]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                       |[0x800055c6]:c.and a0, a1<br> [0x800055c8]:sd a0, 168(ra)<br>  |
| 534|[0x800090c0]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                       |[0x800055f0]:c.and a0, a1<br> [0x800055f2]:sd a0, 176(ra)<br>  |
| 535|[0x800090c8]<br>0x2222222222222222|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                     |[0x80005636]:c.and a0, a1<br> [0x80005638]:sd a0, 184(ra)<br>  |
| 536|[0x800090d0]<br>0x2222222222222221|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                     |[0x8000567c]:c.and a0, a1<br> [0x8000567e]:sd a0, 192(ra)<br>  |
| 537|[0x800090d8]<br>0x00000000A000A222|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                              |[0x800056b2]:c.and a0, a1<br> [0x800056b4]:sd a0, 200(ra)<br>  |
| 538|[0x800090e0]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                     |[0x800056f8]:c.and a0, a1<br> [0x800056fa]:sd a0, 208(ra)<br>  |
| 539|[0x800090e8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                    |[0x8000573e]:c.and a0, a1<br> [0x80005740]:sd a0, 216(ra)<br>  |
| 540|[0x800090f0]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                       |[0x80005768]:c.and a0, a1<br> [0x8000576a]:sd a0, 224(ra)<br>  |
| 541|[0x800090f8]<br>0x2222222222222220|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                     |[0x800057ae]:c.and a0, a1<br> [0x800057b0]:sd a0, 232(ra)<br>  |
| 542|[0x80009100]<br>0x2222222222222223|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                     |[0x800057f4]:c.and a0, a1<br> [0x800057f6]:sd a0, 240(ra)<br>  |
| 543|[0x80009108]<br>0xAAAAAAAA0AAA088A|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                             |[0x8000582a]:c.and a0, a1<br> [0x8000582c]:sd a0, 248(ra)<br>  |
| 544|[0x80009110]<br>0x00000000A000A220|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                              |[0x80005860]:c.and a0, a1<br> [0x80005862]:sd a0, 256(ra)<br>  |
| 545|[0x80009118]<br>0x0000000000000002|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                          |[0x8000586e]:c.and a0, a1<br> [0x80005870]:sd a0, 264(ra)<br>  |
| 546|[0x80009120]<br>0x0000000000000004|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x80005898]:c.and a0, a1<br> [0x8000589a]:sd a0, 272(ra)<br>  |
| 547|[0x80009128]<br>0x0000000000000002|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x800058c2]:c.and a0, a1<br> [0x800058c4]:sd a0, 280(ra)<br>  |
| 548|[0x80009130]<br>0x0000000000000004|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                          |[0x800058d0]:c.and a0, a1<br> [0x800058d2]:sd a0, 288(ra)<br>  |
| 549|[0x80009138]<br>0x0000000000000002|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x800058fa]:c.and a0, a1<br> [0x800058fc]:sd a0, 296(ra)<br>  |
| 550|[0x80009140]<br>0x0000000000000006|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x80005924]:c.and a0, a1<br> [0x80005926]:sd a0, 304(ra)<br>  |
| 551|[0x80009148]<br>0x0000000000000004|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                |[0x8000593e]:c.and a0, a1<br> [0x80005940]:sd a0, 312(ra)<br>  |
| 552|[0x80009150]<br>0x0000000000000002|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                 |[0x80005958]:c.and a0, a1<br> [0x8000595a]:sd a0, 320(ra)<br>  |
| 553|[0x80009158]<br>0x0000000000000002|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                          |[0x80005966]:c.and a0, a1<br> [0x80005968]:sd a0, 328(ra)<br>  |
| 554|[0x80009160]<br>0x0000000000000004|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x80005990]:c.and a0, a1<br> [0x80005992]:sd a0, 336(ra)<br>  |
| 555|[0x80009168]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                          |[0x8000599e]:c.and a0, a1<br> [0x800059a0]:sd a0, 344(ra)<br>  |
| 556|[0x80009170]<br>0x0000000000000004|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                          |[0x800059ac]:c.and a0, a1<br> [0x800059ae]:sd a0, 352(ra)<br>  |
| 557|[0x80009178]<br>0x0000000000000002|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x800059d6]:c.and a0, a1<br> [0x800059d8]:sd a0, 360(ra)<br>  |
| 558|[0x80009180]<br>0x0000000000000004|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80005a00]:c.and a0, a1<br> [0x80005a02]:sd a0, 368(ra)<br>  |
| 559|[0x80009188]<br>0x0000000000000002|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                 |[0x80005a1a]:c.and a0, a1<br> [0x80005a1c]:sd a0, 376(ra)<br>  |
| 560|[0x80009190]<br>0x0000000000000006|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x80005a44]:c.and a0, a1<br> [0x80005a46]:sd a0, 384(ra)<br>  |
| 561|[0x80009198]<br>0x0000000000000002|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x80005a6e]:c.and a0, a1<br> [0x80005a70]:sd a0, 392(ra)<br>  |
| 562|[0x800091a0]<br>0x0000000000000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                          |[0x80005a7c]:c.and a0, a1<br> [0x80005a7e]:sd a0, 400(ra)<br>  |
| 563|[0x800091a8]<br>0x0000000000000004|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x80005aa6]:c.and a0, a1<br> [0x80005aa8]:sd a0, 408(ra)<br>  |
| 564|[0x800091b0]<br>0x0000000000000006|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x80005ad0]:c.and a0, a1<br> [0x80005ad2]:sd a0, 416(ra)<br>  |
| 565|[0x800091b8]<br>0x0000000000000006|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80005aea]:c.and a0, a1<br> [0x80005aec]:sd a0, 424(ra)<br>  |
| 566|[0x800091c0]<br>0x0000000000000004|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                 |[0x80005b04]:c.and a0, a1<br> [0x80005b06]:sd a0, 432(ra)<br>  |
| 567|[0x800091c8]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                        |[0x80005b2e]:c.and a0, a1<br> [0x80005b30]:sd a0, 440(ra)<br>  |
| 568|[0x800091d0]<br>0x1111111111111114|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x80005b74]:c.and a0, a1<br> [0x80005b76]:sd a0, 448(ra)<br>  |
| 569|[0x800091d8]<br>0x2222222222222220|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x80005bba]:c.and a0, a1<br> [0x80005bbc]:sd a0, 456(ra)<br>  |
| 570|[0x800091e0]<br>0x0000000000000004|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                        |[0x80005be4]:c.and a0, a1<br> [0x80005be6]:sd a0, 464(ra)<br>  |
| 571|[0x800091e8]<br>0x3333333333333330|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x80005c2a]:c.and a0, a1<br> [0x80005c2c]:sd a0, 472(ra)<br>  |
| 572|[0x800091f0]<br>0x2222222222222224|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x80005c70]:c.and a0, a1<br> [0x80005c72]:sd a0, 480(ra)<br>  |
| 573|[0x800091f8]<br>0x3333333302330004|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                              |[0x80005ca6]:c.and a0, a1<br> [0x80005ca8]:sd a0, 488(ra)<br>  |
| 574|[0x80009200]<br>0x0000000031003330|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                               |[0x80005cdc]:c.and a0, a1<br> [0x80005cde]:sd a0, 496(ra)<br>  |
| 575|[0x80009208]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                        |[0x80005d06]:c.and a0, a1<br> [0x80005d08]:sd a0, 504(ra)<br>  |
| 576|[0x80009210]<br>0x1111111111111114|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x80005d4c]:c.and a0, a1<br> [0x80005d4e]:sd a0, 512(ra)<br>  |
| 577|[0x80009218]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                        |[0x80005d76]:c.and a0, a1<br> [0x80005d78]:sd a0, 520(ra)<br>  |
| 578|[0x80009220]<br>0x0000000000000004|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                        |[0x80005da0]:c.and a0, a1<br> [0x80005da2]:sd a0, 528(ra)<br>  |
| 579|[0x80009228]<br>0x3333333333333330|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x80005de6]:c.and a0, a1<br> [0x80005de8]:sd a0, 536(ra)<br>  |
| 580|[0x80009230]<br>0x2222222222222224|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x80005e2c]:c.and a0, a1<br> [0x80005e2e]:sd a0, 544(ra)<br>  |
| 581|[0x80009238]<br>0x0000000031003330|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                               |[0x80005e62]:c.and a0, a1<br> [0x80005e64]:sd a0, 552(ra)<br>  |
| 582|[0x80009240]<br>0x1111111111111114|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x80005ea8]:c.and a0, a1<br> [0x80005eaa]:sd a0, 560(ra)<br>  |
| 583|[0x80009248]<br>0x2222222222222220|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x80005eee]:c.and a0, a1<br> [0x80005ef0]:sd a0, 568(ra)<br>  |
| 584|[0x80009250]<br>0x0000000000000004|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                        |[0x80005f18]:c.and a0, a1<br> [0x80005f1a]:sd a0, 576(ra)<br>  |
| 585|[0x80009258]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x80005f5e]:c.and a0, a1<br> [0x80005f60]:sd a0, 584(ra)<br>  |
| 586|[0x80009260]<br>0x2222222222222224|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x80005fa4]:c.and a0, a1<br> [0x80005fa6]:sd a0, 592(ra)<br>  |
| 587|[0x80009268]<br>0x3333333302330004|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                              |[0x80005fda]:c.and a0, a1<br> [0x80005fdc]:sd a0, 600(ra)<br>  |
| 588|[0x80009270]<br>0x0000000031003334|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                               |[0x80006010]:c.and a0, a1<br> [0x80006012]:sd a0, 608(ra)<br>  |
| 589|[0x80009278]<br>0x0000000000000003|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                        |[0x8000603a]:c.and a0, a1<br> [0x8000603c]:sd a0, 616(ra)<br>  |
| 590|[0x80009280]<br>0x4444444444444445|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                      |[0x80006080]:c.and a0, a1<br> [0x80006082]:sd a0, 624(ra)<br>  |
| 591|[0x80009288]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                     |[0x800060c6]:c.and a0, a1<br> [0x800060c8]:sd a0, 632(ra)<br>  |
| 592|[0x80009290]<br>0x0000000000000005|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                        |[0x800060f0]:c.and a0, a1<br> [0x800060f2]:sd a0, 640(ra)<br>  |
| 593|[0x80009298]<br>0x2222222222222223|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                      |[0x80006136]:c.and a0, a1<br> [0x80006138]:sd a0, 648(ra)<br>  |
| 594|[0x800092a0]<br>0x6666666666666666|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                      |[0x8000617c]:c.and a0, a1<br> [0x8000617e]:sd a0, 656(ra)<br>  |
| 595|[0x800092a8]<br>0x6666666642620445|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                              |[0x800061b2]:c.and a0, a1<br> [0x800061b4]:sd a0, 664(ra)<br>  |
| 596|[0x800092b0]<br>0x0000000024046223|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                               |[0x800061e8]:c.and a0, a1<br> [0x800061ea]:sd a0, 672(ra)<br>  |
| 597|[0x800092b8]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                        |[0x80006212]:c.and a0, a1<br> [0x80006214]:sd a0, 680(ra)<br>  |
| 598|[0x800092c0]<br>0x4444444444444444|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                      |[0x80006258]:c.and a0, a1<br> [0x8000625a]:sd a0, 688(ra)<br>  |
| 599|[0x800092c8]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                        |[0x80006282]:c.and a0, a1<br> [0x80006284]:sd a0, 696(ra)<br>  |
| 600|[0x800092d0]<br>0x0000000000000004|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                        |[0x800062ac]:c.and a0, a1<br> [0x800062ae]:sd a0, 704(ra)<br>  |
| 601|[0x800092d8]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                      |[0x800062f2]:c.and a0, a1<br> [0x800062f4]:sd a0, 712(ra)<br>  |
| 602|[0x800092e0]<br>0x6666666666666665|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                      |[0x80006338]:c.and a0, a1<br> [0x8000633a]:sd a0, 720(ra)<br>  |
| 603|[0x800092e8]<br>0x0000000024046222|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                               |[0x8000636e]:c.and a0, a1<br> [0x80006370]:sd a0, 728(ra)<br>  |
| 604|[0x800092f0]<br>0x4444444444444446|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                      |[0x800063b4]:c.and a0, a1<br> [0x800063b6]:sd a0, 736(ra)<br>  |
| 605|[0x800092f8]<br>0x2222222222222223|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                     |[0x800063fa]:c.and a0, a1<br> [0x800063fc]:sd a0, 744(ra)<br>  |
| 606|[0x80009300]<br>0x0000000000000006|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                        |[0x80006424]:c.and a0, a1<br> [0x80006426]:sd a0, 752(ra)<br>  |
| 607|[0x80009308]<br>0x2222222222222224|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                      |[0x8000646a]:c.and a0, a1<br> [0x8000646c]:sd a0, 760(ra)<br>  |
| 608|[0x80009310]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                      |[0x800064b0]:c.and a0, a1<br> [0x800064b2]:sd a0, 768(ra)<br>  |
| 609|[0x80009318]<br>0x6666666642620446|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                              |[0x800064e6]:c.and a0, a1<br> [0x800064e8]:sd a0, 776(ra)<br>  |
| 610|[0x80009320]<br>0x0000000024046224|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                               |[0x8000651c]:c.and a0, a1<br> [0x8000651e]:sd a0, 784(ra)<br>  |
| 611|[0x80009328]<br>0x0000000000000002|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                |[0x80006536]:c.and a0, a1<br> [0x80006538]:sd a0, 792(ra)<br>  |
| 612|[0x80009330]<br>0x5555555540510444|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                              |[0x8000656c]:c.and a0, a1<br> [0x8000656e]:sd a0, 800(ra)<br>  |
| 613|[0x80009338]<br>0xAAAAAAAA0AAA088A|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                             |[0x800065a2]:c.and a0, a1<br> [0x800065a4]:sd a0, 808(ra)<br>  |
| 614|[0x80009340]<br>0x0000000000000004|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                |[0x800065bc]:c.and a0, a1<br> [0x800065be]:sd a0, 816(ra)<br>  |
| 615|[0x80009348]<br>0x3333333302330002|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                              |[0x800065f2]:c.and a0, a1<br> [0x800065f4]:sd a0, 824(ra)<br>  |
| 616|[0x80009350]<br>0x6666666642620446|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                              |[0x80006628]:c.and a0, a1<br> [0x8000662a]:sd a0, 832(ra)<br>  |
| 617|[0x80009358]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                      |[0x8000664e]:c.and a0, a1<br> [0x80006650]:sd a0, 840(ra)<br>  |
| 618|[0x80009360]<br>0x0000000000000002|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                       |[0x80006674]:c.and a0, a1<br> [0x80006676]:sd a0, 848(ra)<br>  |
| 619|[0x80009368]<br>0x0000000000000002|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                |[0x8000668e]:c.and a0, a1<br> [0x80006690]:sd a0, 856(ra)<br>  |
| 620|[0x80009370]<br>0x5555555540510444|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                              |[0x800066c4]:c.and a0, a1<br> [0x800066c6]:sd a0, 864(ra)<br>  |
| 621|[0x80009378]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                |[0x800066de]:c.and a0, a1<br> [0x800066e0]:sd a0, 872(ra)<br>  |
| 622|[0x80009380]<br>0x0000000000000004|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                |[0x800066f8]:c.and a0, a1<br> [0x800066fa]:sd a0, 880(ra)<br>  |
| 623|[0x80009388]<br>0x3333333302330002|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                              |[0x8000672e]:c.and a0, a1<br> [0x80006730]:sd a0, 888(ra)<br>  |
| 624|[0x80009390]<br>0x6666666642620444|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                              |[0x80006764]:c.and a0, a1<br> [0x80006766]:sd a0, 896(ra)<br>  |
| 625|[0x80009398]<br>0x0000000000000002|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                       |[0x8000678a]:c.and a0, a1<br> [0x8000678c]:sd a0, 904(ra)<br>  |
| 626|[0x800093a0]<br>0x5555555540510446|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                              |[0x800067c0]:c.and a0, a1<br> [0x800067c2]:sd a0, 912(ra)<br>  |
| 627|[0x800093a8]<br>0xAAAAAAAA0AAA088A|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                             |[0x800067f6]:c.and a0, a1<br> [0x800067f8]:sd a0, 920(ra)<br>  |
| 628|[0x800093b0]<br>0x0000000000000006|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                |[0x80006810]:c.and a0, a1<br> [0x80006812]:sd a0, 928(ra)<br>  |
| 629|[0x800093b8]<br>0x3333333302330004|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                              |[0x80006846]:c.and a0, a1<br> [0x80006848]:sd a0, 936(ra)<br>  |
| 630|[0x800093c0]<br>0x6666666642620446|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                              |[0x8000687c]:c.and a0, a1<br> [0x8000687e]:sd a0, 944(ra)<br>  |
| 631|[0x800093c8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                      |[0x800068a2]:c.and a0, a1<br> [0x800068a4]:sd a0, 952(ra)<br>  |
| 632|[0x800093d0]<br>0x0000000000000004|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                       |[0x800068c8]:c.and a0, a1<br> [0x800068ca]:sd a0, 960(ra)<br>  |
| 633|[0x800093d8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                 |[0x800068e2]:c.and a0, a1<br> [0x800068e4]:sd a0, 968(ra)<br>  |
| 634|[0x800093e0]<br>0x0000000015045114|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                               |[0x80006918]:c.and a0, a1<br> [0x8000691a]:sd a0, 976(ra)<br>  |
| 635|[0x800093e8]<br>0x00000000A000A220|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                              |[0x8000694e]:c.and a0, a1<br> [0x80006950]:sd a0, 984(ra)<br>  |
| 636|[0x800093f0]<br>0x0000000000000004|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                 |[0x80006968]:c.and a0, a1<br> [0x8000696a]:sd a0, 992(ra)<br>  |
| 637|[0x800093f8]<br>0x0000000031003330|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                               |[0x8000699e]:c.and a0, a1<br> [0x800069a0]:sd a0, 1000(ra)<br> |
| 638|[0x80009400]<br>0x0000000024046224|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                               |[0x800069d4]:c.and a0, a1<br> [0x800069d6]:sd a0, 1008(ra)<br> |
| 639|[0x80009408]<br>0x0000000000000004|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                       |[0x800069fa]:c.and a0, a1<br> [0x800069fc]:sd a0, 1016(ra)<br> |
| 640|[0x80009410]<br>0x00000000B504F330|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                        |[0x80006a20]:c.and a0, a1<br> [0x80006a22]:sd a0, 1024(ra)<br> |
| 641|[0x80009418]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                 |[0x80006a3a]:c.and a0, a1<br> [0x80006a3c]:sd a0, 1032(ra)<br> |
| 642|[0x80009420]<br>0x0000000015045114|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                               |[0x80006a70]:c.and a0, a1<br> [0x80006a72]:sd a0, 1040(ra)<br> |
| 643|[0x80009428]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                 |[0x80006a8a]:c.and a0, a1<br> [0x80006a8c]:sd a0, 1048(ra)<br> |
| 644|[0x80009430]<br>0x0000000000000004|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                 |[0x80006aa4]:c.and a0, a1<br> [0x80006aa6]:sd a0, 1056(ra)<br> |
| 645|[0x80009438]<br>0x0000000031003330|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                               |[0x80006ada]:c.and a0, a1<br> [0x80006adc]:sd a0, 1064(ra)<br> |
| 646|[0x80009440]<br>0x0000000024046224|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                               |[0x80006b10]:c.and a0, a1<br> [0x80006b12]:sd a0, 1072(ra)<br> |
| 647|[0x80009448]<br>0x00000000B504F330|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                        |[0x80006b36]:c.and a0, a1<br> [0x80006b38]:sd a0, 1080(ra)<br> |
| 648|[0x80009450]<br>0x0000000015045114|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                               |[0x80006b6c]:c.and a0, a1<br> [0x80006b6e]:sd a0, 1088(ra)<br> |
| 649|[0x80009458]<br>0x00000000A000A220|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                              |[0x80006ba2]:c.and a0, a1<br> [0x80006ba4]:sd a0, 1096(ra)<br> |
| 650|[0x80009460]<br>0x0000000000000004|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                 |[0x80006bbc]:c.and a0, a1<br> [0x80006bbe]:sd a0, 1104(ra)<br> |
| 651|[0x80009468]<br>0x0000000031003334|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                               |[0x80006bf2]:c.and a0, a1<br> [0x80006bf4]:sd a0, 1112(ra)<br> |
| 652|[0x80009470]<br>0x0000000024046224|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                               |[0x80006c28]:c.and a0, a1<br> [0x80006c2a]:sd a0, 1120(ra)<br> |
| 653|[0x80009478]<br>0x0000000000000004|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                       |[0x80006c4e]:c.and a0, a1<br> [0x80006c50]:sd a0, 1128(ra)<br> |
| 654|[0x80009480]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                        |[0x80006c74]:c.and a0, a1<br> [0x80006c76]:sd a0, 1136(ra)<br> |
| 655|[0x80009488]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                          |[0x80006c82]:c.and a0, a1<br> [0x80006c84]:sd a0, 1144(ra)<br> |
| 656|[0x80009490]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x80006cac]:c.and a0, a1<br> [0x80006cae]:sd a0, 1152(ra)<br> |
| 657|[0x80009498]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                          |[0x80006cba]:c.and a0, a1<br> [0x80006cbc]:sd a0, 1160(ra)<br> |
| 658|[0x800094a0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                          |[0x80006cc8]:c.and a0, a1<br> [0x80006cca]:sd a0, 1168(ra)<br> |
| 659|[0x800094a8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x80006cf2]:c.and a0, a1<br> [0x80006cf4]:sd a0, 1176(ra)<br> |
| 660|[0x800094b0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80006d1c]:c.and a0, a1<br> [0x80006d1e]:sd a0, 1184(ra)<br> |
| 661|[0x800094b8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                 |[0x80006d36]:c.and a0, a1<br> [0x80006d38]:sd a0, 1192(ra)<br> |
| 662|[0x800094c0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x80006d60]:c.and a0, a1<br> [0x80006d62]:sd a0, 1200(ra)<br> |
| 663|[0x800094c8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x80006d8a]:c.and a0, a1<br> [0x80006d8c]:sd a0, 1208(ra)<br> |
| 664|[0x800094d0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                          |[0x80006d98]:c.and a0, a1<br> [0x80006d9a]:sd a0, 1216(ra)<br> |
| 665|[0x800094d8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x80006dc2]:c.and a0, a1<br> [0x80006dc4]:sd a0, 1224(ra)<br> |
| 666|[0x800094e0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x80006dec]:c.and a0, a1<br> [0x80006dee]:sd a0, 1232(ra)<br> |
| 667|[0x800094e8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80006e06]:c.and a0, a1<br> [0x80006e08]:sd a0, 1240(ra)<br> |
| 668|[0x800094f0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                 |[0x80006e20]:c.and a0, a1<br> [0x80006e22]:sd a0, 1248(ra)<br> |
| 669|[0x800094f8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                          |[0x80006e2e]:c.and a0, a1<br> [0x80006e30]:sd a0, 1256(ra)<br> |
| 670|[0x80009500]<br>0x0000000000000004|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x80006e58]:c.and a0, a1<br> [0x80006e5a]:sd a0, 1264(ra)<br> |
